!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-12 12:33             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_672) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(   &
                       nGC_34)**2d0 + coupl(nGC_73)**2d0 + coupl(nGC_74)*coupl(&
                       nGC_76) + coupl(nGC_75)**2d0)/(64d0*pi**2d0)
      coupl(nGC_671) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(   &
                       nGC_23)**2d0 + 4d0*coupl(nGC_38)**2d0 + coupl(nGC_57)** &
                       2d0 + coupl(nGC_74)*coupl(nGC_76) + coupl(nGC_75)**2d0  &
                       )/(64d0*pi**2d0)
      coupl(nGC_579) = (coupl(nGC_180)*coupl(nGC_23)*coupl(nGC_69) + coupl(    &
                       nGC_184)*coupl(nGC_40)*coupl(nGC_71) + coupl(nGC_36)*   &
                       coupl(nGC_37)*coupl(nGC_71) + 8d0*coupl(nGC_36)*coupl(  &
                       nGC_40)*coupl(nGC_72) + 8d0*coupl(nGC_4)**2d0*coupl(    &
                       nGC_72) - coupl(nGC_70)*coupl(nGC_71)**2d0 - coupl(     &
                       nGC_70)*coupl(nGC_72)**2d0)/(32d0*pi**2d0)
      coupl(nGC_578) = (coupl(nGC_184)*coupl(nGC_36)*coupl(nGC_71) + coupl(    &
                       nGC_22)*coupl(nGC_23)*coupl(nGC_69) + 8d0*coupl(nGC_36)*&
                       coupl(nGC_40)*coupl(nGC_70) + coupl(nGC_37)*coupl(nGC_40&
                       )*coupl(nGC_71) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_70) - &
                       coupl(nGC_70)**2d0*coupl(nGC_72) - coupl(nGC_71)**2d0*  &
                       coupl(nGC_72))/(32d0*pi**2d0)
      coupl(nGC_674) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(  &
                       nGC_23)**2d0 - 4d0*coupl(nGC_39)**2d0 - coupl(nGC_53)** &
                       2d0 - coupl(nGC_78)*coupl(nGC_80) - coupl(nGC_79)**2d0  &
                       )/(64d0*pi**2d0*Nc)
      coupl(nGC_675) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(  &
                       nGC_35)**2d0 - coupl(nGC_77)**2d0 - coupl(nGC_78)*coupl(&
                       nGC_80) - coupl(nGC_79)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_601) = (-coupl(nGC_184)*coupl(nGC_35)*coupl(nGC_60) + 8d0*coupl&
                       (nGC_2)**2d0*coupl(nGC_59) - coupl(nGC_21)*coupl(nGC_23 &
                       )*coupl(nGC_57) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(&
                       nGC_59) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_60) -   &
                       coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_75) - coupl(nGC_59&
                       )**3d0 - coupl(nGC_59)*coupl(nGC_60)**2d0)/(32d0*pi**2d0&
                       )
      coupl(nGC_600) = (-coupl(nGC_174)*coupl(nGC_23)*coupl(nGC_57) - coupl(   &
                       nGC_184)*coupl(nGC_39)*coupl(nGC_58) + 8d0*coupl(nGC_2  &
                       )**2d0*coupl(nGC_59) - coupl(nGC_35)*coupl(nGC_37)*coupl&
                       (nGC_58) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_59 &
                       ) - coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_75) - coupl(  &
                       nGC_58)**2d0*coupl(nGC_59) - coupl(nGC_59)**3d0)/(32d0* &
                       pi**2d0)
      coupl(nGC_687) = (-12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_23)**2d0 +   &
                       36d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_23)**  &
                       2d0 - 12d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_23)**2d0 &
                        - 8d0*cima*coupl(nGC_162)**2d0*coupl(nGC_3)**2d0 - 16d0&
                       *cima*coupl(nGC_164)**2d0*coupl(nGC_25)**2d0 - 24d0*cima&
                       *coupl(nGC_164)**2d0*coupl(nGC_3)**2d0 + 12d0*cima*coupl&
                       (nGC_168)**2d0 - 12d0*cima*coupl(nGC_23)**2d0*coupl(    &
                       nGC_4)**2d0 + 12d0*cima*coupl(nGC_5)**2d0 + 3d0*coupl(  &
                       nGC_162)**2d0*coupl(nGC_5) + 6d0*coupl(nGC_162)*coupl(  &
                       nGC_29)*coupl(nGC_3) + 3d0*coupl(nGC_164)**2d0*coupl(   &
                       nGC_18) + 3d0*coupl(nGC_164)**2d0*coupl(nGC_5) + 36d0*  &
                       coupl(nGC_164)*coupl(nGC_168)*coupl(nGC_25) + 6d0*coupl(&
                       nGC_164)*coupl(nGC_170)*coupl(nGC_3) + 36d0*coupl(      &
                       nGC_164)*coupl(nGC_3)*coupl(nGC_5) + 3d0*coupl(nGC_182)*&
                       coupl(nGC_3)**2d0)/(96d0*pi**2d0)
      coupl(nGC_686) = (18d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_23)**2d0 -    &
                       30d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_23)**  &
                       2d0 + 18d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_23)**2d0 &
                        - 8d0*cima*coupl(nGC_162)**2d0*coupl(nGC_3)**2d0 - 8d0*&
                       cima*coupl(nGC_164)**2d0*coupl(nGC_25)**2d0 - 16d0*cima*&
                       coupl(nGC_164)**2d0*coupl(nGC_3)**2d0 + 6d0*cima*coupl( &
                       nGC_170)*coupl(nGC_18) + 18d0*cima*coupl(nGC_23)**2d0*  &
                       coupl(nGC_4)**2d0 + 9d0*coupl(nGC_162)**2d0*coupl(      &
                       nGC_170) + 3d0*coupl(nGC_162)*coupl(nGC_168)*coupl(nGC_3&
                       ) + 9d0*coupl(nGC_164)**2d0*coupl(nGC_170) + 9d0*coupl( &
                       nGC_164)**2d0*coupl(nGC_18) + 3d0*coupl(nGC_164)*coupl( &
                       nGC_168)*coupl(nGC_25) + 6d0*coupl(nGC_164)*coupl(nGC_3 &
                       )*coupl(nGC_5) + 9d0*coupl(nGC_18)*coupl(nGC_3)**2d0)/( &
                       48d0*pi**2d0)
      coupl(nGC_685) = (-12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_23)**2d0 +   &
                       36d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_23)**  &
                       2d0 - 12d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_23)**2d0 &
                        - 16d0*cima*coupl(nGC_162)**2d0*coupl(nGC_3)**2d0 - 8d0&
                       *cima*coupl(nGC_164)**2d0*coupl(nGC_25)**2d0 - 24d0*cima&
                       *coupl(nGC_164)**2d0*coupl(nGC_3)**2d0 + 12d0*cima*coupl&
                       (nGC_168)**2d0 - 12d0*cima*coupl(nGC_23)**2d0*coupl(    &
                       nGC_4)**2d0 + 12d0*cima*coupl(nGC_5)**2d0 + 3d0*coupl(  &
                       nGC_162)**2d0*coupl(nGC_5) + 36d0*coupl(nGC_162)*coupl( &
                       nGC_168)*coupl(nGC_3) + 3d0*coupl(nGC_164)**2d0*coupl(  &
                       nGC_182) + 3d0*coupl(nGC_164)**2d0*coupl(nGC_5) + 6d0*  &
                       coupl(nGC_164)*coupl(nGC_170)*coupl(nGC_3) + 6d0*coupl( &
                       nGC_164)*coupl(nGC_25)*coupl(nGC_29) + 36d0*coupl(      &
                       nGC_164)*coupl(nGC_3)*coupl(nGC_5) + 3d0*coupl(nGC_18)* &
                       coupl(nGC_3)**2d0)/(96d0*pi**2d0)
      coupl(nGC_684) = (-32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_53)**2d0 -   &
                       32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_57)**2d0 - 32d0&
                       *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_61)**2d0 - 32d0*Nc*&
                       cima*coupl(nGC_1)**2d0*coupl(nGC_73)**2d0 - 32d0*Nc*cima&
                       *coupl(nGC_1)**2d0*coupl(nGC_77)**2d0 - 32d0*Nc*cima*   &
                       coupl(nGC_1)**2d0*coupl(nGC_85)**2d0 + 40d0*Nc*cima*    &
                       coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_53)**2d0 + 40d0*Nc* &
                       cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_57)**2d0 + 40d0&
                       *Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_61)**2d0 + &
                       40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_73)**  &
                       2d0 + 40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(     &
                       nGC_77)**2d0 + 40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*  &
                       coupl(nGC_85)**2d0 - 32d0*Nc*cima*coupl(nGC_2)**2d0*    &
                       coupl(nGC_53)**2d0 - 32d0*Nc*cima*coupl(nGC_2)**2d0*    &
                       coupl(nGC_57)**2d0 - 32d0*Nc*cima*coupl(nGC_2)**2d0*    &
                       coupl(nGC_61)**2d0 - 32d0*Nc*cima*coupl(nGC_2)**2d0*    &
                       coupl(nGC_73)**2d0 - 32d0*Nc*cima*coupl(nGC_2)**2d0*    &
                       coupl(nGC_77)**2d0 - 32d0*Nc*cima*coupl(nGC_2)**2d0*    &
                       coupl(nGC_85)**2d0 + 8d0*cima*coupl(nGC_160)**2d0*coupl(&
                       nGC_4)**2d0 + 4d0*cima*coupl(nGC_160)**2d0*coupl(nGC_40 &
                       )**2d0 + 9d0*cima*coupl(nGC_164)**2d0*coupl(nGC_174)*   &
                       coupl(nGC_21) + 9d0*cima*coupl(nGC_164)**2d0*coupl(     &
                       nGC_180)*coupl(nGC_22) + 9d0*cima*coupl(nGC_166)*coupl( &
                       nGC_20)*coupl(nGC_3)**2d0 + 24d0*cima*coupl(nGC_17)*    &
                       coupl(nGC_170) + 4d0*cima*coupl(nGC_176)**2d0*coupl(    &
                       nGC_4)**2d0 + 9d0*cima*coupl(nGC_180)*coupl(nGC_22)*    &
                       coupl(nGC_3)**2d0 - 32d0*cima*coupl(nGC_4)**2d0*coupl(  &
                       nGC_65)**2d0 - 32d0*cima*coupl(nGC_4)**2d0*coupl(nGC_69 &
                       )**2d0 - 32d0*cima*coupl(nGC_4)**2d0*coupl(nGC_81)**2d0 &
                        + 6d0*coupl(nGC_160)**2d0*coupl(nGC_6) + 36d0*coupl(   &
                       nGC_164)**2d0*coupl(nGC_17) - 6d0*coupl(nGC_164)*coupl( &
                       nGC_174)*coupl(nGC_27) - 6d0*coupl(nGC_164)*coupl(      &
                       nGC_180)*coupl(nGC_26) - 6d0*coupl(nGC_164)*coupl(nGC_21&
                       )*coupl(nGC_27) - 6d0*coupl(nGC_164)*coupl(nGC_22)*coupl&
                       (nGC_28) - 6d0*coupl(nGC_166)*coupl(nGC_170)*coupl(     &
                       nGC_20) - 6d0*coupl(nGC_166)*coupl(nGC_27)*coupl(nGC_3  &
                       ) + 36d0*coupl(nGC_17)*coupl(nGC_3)**2d0 - 6d0*coupl(   &
                       nGC_170)*coupl(nGC_180)*coupl(nGC_22) + 6d0*coupl(      &
                       nGC_176)**2d0*coupl(nGC_6) - 6d0*coupl(nGC_180)*coupl(  &
                       nGC_28)*coupl(nGC_3) - 6d0*coupl(nGC_20)*coupl(nGC_27)* &
                       coupl(nGC_3) - 6d0*coupl(nGC_22)*coupl(nGC_26)*coupl(   &
                       nGC_3))/(192d0*pi**2d0)
      coupl(nGC_681) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(   &
                       nGC_35)**2d0 + coupl(nGC_85)**2d0 + coupl(nGC_86)*coupl(&
                       nGC_88) + coupl(nGC_87)**2d0)/(64d0*pi**2d0)
      coupl(nGC_680) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(   &
                       nGC_23)**2d0 + 4d0*coupl(nGC_39)**2d0 + coupl(nGC_61)** &
                       2d0 + coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_87)**2d0  &
                       )/(64d0*pi**2d0)
      coupl(nGC_689) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_53  &
                       )**2d0 - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)*coupl( &
                       nGC_61)**2d0 - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)* &
                       coupl(nGC_73)**2d0 + 10d0*Nc*cima*coupl(nGC_1)*coupl(   &
                       nGC_35)*coupl(nGC_57)**2d0 + 10d0*Nc*cima*coupl(nGC_1)* &
                       coupl(nGC_35)*coupl(nGC_77)**2d0 + 10d0*Nc*cima*coupl(  &
                       nGC_1)*coupl(nGC_35)*coupl(nGC_85)**2d0 - 16d0*Nc*cima* &
                       coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_57)**2d0 - 16d0*Nc*&
                       cima*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_77)**2d0 -    &
                       16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_85)** &
                       2d0 + 10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_39)*coupl(    &
                       nGC_53)**2d0 + 10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_39)* &
                       coupl(nGC_61)**2d0 + 10d0*Nc*cima*coupl(nGC_1)*coupl(   &
                       nGC_39)*coupl(nGC_73)**2d0 + 10d0*Nc*cima*coupl(nGC_2)* &
                       coupl(nGC_34)*coupl(nGC_53)**2d0 + 10d0*Nc*cima*coupl(  &
                       nGC_2)*coupl(nGC_34)*coupl(nGC_61)**2d0 + 10d0*Nc*cima* &
                       coupl(nGC_2)*coupl(nGC_34)*coupl(nGC_73)**2d0 - 16d0*Nc*&
                       cima*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_57)**2d0 -    &
                       16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_77)** &
                       2d0 - 16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_35)*coupl(    &
                       nGC_85)**2d0 + 10d0*Nc*cima*coupl(nGC_2)*coupl(nGC_38)* &
                       coupl(nGC_57)**2d0 + 10d0*Nc*cima*coupl(nGC_2)*coupl(   &
                       nGC_38)*coupl(nGC_77)**2d0 + 10d0*Nc*cima*coupl(nGC_2)* &
                       coupl(nGC_38)*coupl(nGC_85)**2d0 - 16d0*Nc*cima*coupl(  &
                       nGC_2)*coupl(nGC_39)*coupl(nGC_53)**2d0 - 16d0*Nc*cima* &
                       coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_61)**2d0 - 16d0*Nc*&
                       cima*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_73)**2d0 + 4d0&
                       *cima*coupl(nGC_160)**2d0*coupl(nGC_4)*coupl(nGC_40) +  &
                       9d0*cima*coupl(nGC_166)*coupl(nGC_20)*coupl(nGC_25)*    &
                       coupl(nGC_3) + 12d0*cima*coupl(nGC_17)*coupl(nGC_29) +  &
                       4d0*cima*coupl(nGC_176)**2d0*coupl(nGC_4)*coupl(nGC_40  &
                       ) + 9d0*cima*coupl(nGC_180)*coupl(nGC_22)*coupl(nGC_25)*&
                       coupl(nGC_3) - 16d0*cima*coupl(nGC_36)*coupl(nGC_4)*    &
                       coupl(nGC_65)**2d0 - 16d0*cima*coupl(nGC_36)*coupl(nGC_4&
                       )*coupl(nGC_69)**2d0 - 16d0*cima*coupl(nGC_36)*coupl(   &
                       nGC_4)*coupl(nGC_81)**2d0 + 10d0*cima*coupl(nGC_4)*coupl&
                       (nGC_41)*coupl(nGC_65)**2d0 + 10d0*cima*coupl(nGC_4)*   &
                       coupl(nGC_41)*coupl(nGC_69)**2d0 + 10d0*cima*coupl(nGC_4&
                       )*coupl(nGC_41)*coupl(nGC_81)**2d0 + 3d0*coupl(nGC_160  &
                       )**2d0*coupl(nGC_42) + 18d0*coupl(nGC_162)*coupl(nGC_164&
                       )*coupl(nGC_17) - 3d0*coupl(nGC_162)*coupl(nGC_174)*    &
                       coupl(nGC_27) - 3d0*coupl(nGC_162)*coupl(nGC_22)*coupl( &
                       nGC_28) - 3d0*coupl(nGC_166)*coupl(nGC_20)*coupl(nGC_29 &
                       ) - 3d0*coupl(nGC_166)*coupl(nGC_25)*coupl(nGC_27) - 3d0&
                       *coupl(nGC_166)*coupl(nGC_3)*coupl(nGC_8) + 18d0*coupl( &
                       nGC_17)*coupl(nGC_25)*coupl(nGC_3) + 3d0*coupl(nGC_176  &
                       )**2d0*coupl(nGC_42) - 3d0*coupl(nGC_180)*coupl(nGC_22)*&
                       coupl(nGC_29) - 3d0*coupl(nGC_180)*coupl(nGC_3)*coupl(  &
                       nGC_9) - 3d0*coupl(nGC_20)*coupl(nGC_3)*coupl(nGC_8) -  &
                       3d0*coupl(nGC_22)*coupl(nGC_25)*coupl(nGC_26) - 3d0*    &
                       coupl(nGC_22)*coupl(nGC_3)*coupl(nGC_7))/(96d0*pi**2d0)
      coupl(nGC_688) = (-24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_55)**2d0 -   &
                       24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_63)**2d0 - 24d0&
                       *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_75)**2d0 - 24d0*Nc*&
                       cima*coupl(nGC_2)**2d0*coupl(nGC_59)**2d0 - 24d0*Nc*cima&
                       *coupl(nGC_2)**2d0*coupl(nGC_79)**2d0 - 24d0*Nc*cima*   &
                       coupl(nGC_2)**2d0*coupl(nGC_87)**2d0 + 4d0*cima*coupl(  &
                       nGC_160)**2d0*coupl(nGC_166)*coupl(nGC_20) + 9d0*cima*  &
                       coupl(nGC_164)**2d0*coupl(nGC_166)*coupl(nGC_20) + 12d0*&
                       cima*coupl(nGC_17)*coupl(nGC_170) + 9d0*cima*coupl(     &
                       nGC_174)*coupl(nGC_21)*coupl(nGC_3)**2d0 + 4d0*cima*    &
                       coupl(nGC_174)*coupl(nGC_21)*coupl(nGC_4)**2d0 - 24d0*  &
                       cima*coupl(nGC_4)**2d0*coupl(nGC_67)**2d0 - 24d0*cima*  &
                       coupl(nGC_4)**2d0*coupl(nGC_71)**2d0 - 24d0*cima*coupl( &
                       nGC_4)**2d0*coupl(nGC_83)**2d0 + 18d0*coupl(nGC_164)**  &
                       2d0*coupl(nGC_17) - 6d0*coupl(nGC_164)*coupl(nGC_166)*  &
                       coupl(nGC_27) - 6d0*coupl(nGC_164)*coupl(nGC_20)*coupl( &
                       nGC_27) - 3d0*coupl(nGC_166)*coupl(nGC_170)*coupl(nGC_20&
                       ) + 3d0*coupl(nGC_166)*coupl(nGC_20)*coupl(nGC_6) + 18d0&
                       *coupl(nGC_17)*coupl(nGC_3)**2d0 - 3d0*coupl(nGC_170)*  &
                       coupl(nGC_174)*coupl(nGC_21) + 3d0*coupl(nGC_174)*coupl(&
                       nGC_21)*coupl(nGC_6) - 6d0*coupl(nGC_174)*coupl(nGC_27)*&
                       coupl(nGC_3) - 6d0*coupl(nGC_21)*coupl(nGC_27)*coupl(   &
                       nGC_3))/(96d0*pi**2d0)
      coupl(nGC_706) = (20d0*Nc*cima*coupl(nGC_53)**2d0*coupl(nGC_55)**2d0 +   &
                       20d0*Nc*cima*coupl(nGC_53)**2d0*coupl(nGC_79)**2d0 +    &
                       40d0*Nc*cima*coupl(nGC_53)*coupl(nGC_55)*coupl(nGC_77)* &
                       coupl(nGC_79) + 20d0*Nc*cima*coupl(nGC_55)**2d0*coupl(  &
                       nGC_77)**2d0 + 20d0*Nc*cima*coupl(nGC_57)**2d0*coupl(   &
                       nGC_59)**2d0 + 20d0*Nc*cima*coupl(nGC_57)**2d0*coupl(   &
                       nGC_75)**2d0 + 40d0*Nc*cima*coupl(nGC_57)*coupl(nGC_59)*&
                       coupl(nGC_73)*coupl(nGC_75) + 20d0*Nc*cima*coupl(nGC_59 &
                       )**2d0*coupl(nGC_73)**2d0 + 20d0*Nc*cima*coupl(nGC_61)**&
                       2d0*coupl(nGC_63)**2d0 + 20d0*Nc*cima*coupl(nGC_61)**2d0&
                       *coupl(nGC_87)**2d0 + 40d0*Nc*cima*coupl(nGC_61)*coupl( &
                       nGC_63)*coupl(nGC_85)*coupl(nGC_87) + 20d0*Nc*cima*coupl&
                       (nGC_63)**2d0*coupl(nGC_85)**2d0 + 20d0*Nc*cima*coupl(  &
                       nGC_73)**2d0*coupl(nGC_75)**2d0 + 20d0*Nc*cima*coupl(   &
                       nGC_77)**2d0*coupl(nGC_79)**2d0 + 20d0*Nc*cima*coupl(   &
                       nGC_85)**2d0*coupl(nGC_87)**2d0 - 10d0*cima*coupl(      &
                       nGC_160)**2d0*coupl(nGC_174)*coupl(nGC_21) - 10d0*cima* &
                       coupl(nGC_166)*coupl(nGC_174)*coupl(nGC_20)*coupl(nGC_21&
                       ) - 5d0*cima*coupl(nGC_166)*coupl(nGC_184)*coupl(nGC_22 &
                       )*coupl(nGC_40) + 12d0*cima*coupl(nGC_17)**2d0 - 10d0*  &
                       cima*coupl(nGC_174)*coupl(nGC_176)**2d0*coupl(nGC_21) - &
                       5d0*cima*coupl(nGC_174)*coupl(nGC_176)*coupl(nGC_184)*  &
                       coupl(nGC_22) - 10d0*cima*coupl(nGC_174)*coupl(nGC_180)*&
                       coupl(nGC_21)*coupl(nGC_22) - 5d0*cima*coupl(nGC_176)*  &
                       coupl(nGC_180)*coupl(nGC_21)*coupl(nGC_37) - 10d0*cima* &
                       coupl(nGC_180)*coupl(nGC_184)*coupl(nGC_22)*coupl(nGC_37&
                       ) - 5d0*cima*coupl(nGC_180)*coupl(nGC_20)*coupl(nGC_37)*&
                       coupl(nGC_40) - 10d0*cima*coupl(nGC_184)*coupl(nGC_37)* &
                       coupl(nGC_40)**2d0 + 24d0*cima*coupl(nGC_27)**2d0 + 6d0*&
                       cima*coupl(nGC_45)*coupl(nGC_46) + 20d0*cima*coupl(     &
                       nGC_65)**2d0*coupl(nGC_67)**2d0 + 20d0*cima*coupl(nGC_69&
                       )**2d0*coupl(nGC_71)**2d0 + 24d0*cima*coupl(nGC_8)**2d0 &
                        + 20d0*cima*coupl(nGC_81)**2d0*coupl(nGC_83)**2d0 + 3d0&
                       *coupl(nGC_13)*coupl(nGC_160)**2d0 + 6d0*coupl(nGC_13)* &
                       coupl(nGC_166)*coupl(nGC_174) + 3d0*coupl(nGC_13)*coupl(&
                       nGC_176)**2d0 + 3d0*coupl(nGC_13)*coupl(nGC_180)*coupl( &
                       nGC_22) + 3d0*coupl(nGC_13)*coupl(nGC_184)*coupl(nGC_37 &
                       ) + 6d0*coupl(nGC_13)*coupl(nGC_20)*coupl(nGC_21) + 3d0*&
                       coupl(nGC_14)*coupl(nGC_166)*coupl(nGC_20) + 3d0*coupl( &
                       nGC_14)*coupl(nGC_174)*coupl(nGC_21) + 3d0*coupl(nGC_15 &
                       )*coupl(nGC_174)*coupl(nGC_21) - 6d0*coupl(nGC_160)*    &
                       coupl(nGC_174)*coupl(nGC_27) - 6d0*coupl(nGC_160)*coupl(&
                       nGC_21)*coupl(nGC_27) - 6d0*coupl(nGC_166)*coupl(nGC_17 &
                       )*coupl(nGC_20) - 3d0*coupl(nGC_17)*coupl(nGC_174)*coupl&
                       (nGC_21) - 3d0*coupl(nGC_17)*coupl(nGC_180)*coupl(nGC_22&
                       ) - 6d0*coupl(nGC_174)*coupl(nGC_176)*coupl(nGC_8) - 6d0&
                       *coupl(nGC_176)*coupl(nGC_21)*coupl(nGC_8) - 6d0*coupl( &
                       nGC_180)*coupl(nGC_37)*coupl(nGC_8) - 6d0*coupl(nGC_184 &
                       )*coupl(nGC_22)*coupl(nGC_8) - 3d0*coupl(nGC_184)*coupl(&
                       nGC_37)*coupl(nGC_45) - 3d0*coupl(nGC_40)**2d0*coupl(   &
                       nGC_46))/(96d0*pi**2d0)
      coupl(nGC_707) = (-16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_53)**2d0 -  &
                       16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_57)**2d0 -    &
                       16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_61)**2d0 -    &
                       16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_73)**2d0 -    &
                       16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_77)**2d0 -    &
                       16d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_85)**2d0 + 4d0&
                       *cima*coupl(nGC_160)**2d0*coupl(nGC_166)*coupl(nGC_20   &
                       ) + 4d0*cima*coupl(nGC_160)**2d0*coupl(nGC_180)*coupl(  &
                       nGC_22) + 9d0*cima*coupl(nGC_162)**2d0*coupl(nGC_166)*  &
                       coupl(nGC_20) + 9d0*cima*coupl(nGC_162)**2d0*coupl(     &
                       nGC_180)*coupl(nGC_22) + 9d0*cima*coupl(nGC_162)**2d0*  &
                       coupl(nGC_40)**2d0 + 18d0*cima*coupl(nGC_162)*coupl(    &
                       nGC_164)*coupl(nGC_4)*coupl(nGC_40) + 9d0*cima*coupl(   &
                       nGC_164)**2d0*coupl(nGC_166)*coupl(nGC_20) + 9d0*cima*  &
                       coupl(nGC_164)**2d0*coupl(nGC_180)*coupl(nGC_22) + 9d0* &
                       cima*coupl(nGC_164)**2d0*coupl(nGC_4)**2d0 + 4d0*cima*  &
                       coupl(nGC_166)*coupl(nGC_174)*coupl(nGC_180)**2d0 + 4d0*&
                       cima*coupl(nGC_166)*coupl(nGC_174)*coupl(nGC_20)*coupl( &
                       nGC_21) + 4d0*cima*coupl(nGC_166)*coupl(nGC_176)**2d0*  &
                       coupl(nGC_20) + 24d0*cima*coupl(nGC_17)*coupl(nGC_18) + &
                       12d0*cima*coupl(nGC_170)*coupl(nGC_6) + 12d0*cima*coupl(&
                       nGC_172)*coupl(nGC_45) + 4d0*cima*coupl(nGC_174)**2d0*  &
                       coupl(nGC_180)**2d0 + 4d0*cima*coupl(nGC_174)**2d0*coupl&
                       (nGC_21)**2d0 + 4d0*cima*coupl(nGC_176)**2d0*coupl(     &
                       nGC_180)*coupl(nGC_22) + 8d0*cima*coupl(nGC_180)**2d0*  &
                       coupl(nGC_22)**2d0 + 4d0*cima*coupl(nGC_20)*coupl(nGC_21&
                       )*coupl(nGC_22)**2d0 + 4d0*cima*coupl(nGC_21)**2d0*coupl&
                       (nGC_22)**2d0 - 16d0*cima*coupl(nGC_23)**2d0*coupl(     &
                       nGC_65)**2d0 - 16d0*cima*coupl(nGC_23)**2d0*coupl(nGC_69&
                       )**2d0 - 16d0*cima*coupl(nGC_23)**2d0*coupl(nGC_81)**2d0&
                        + 9d0*cima*coupl(nGC_25)**2d0*coupl(nGC_40)**2d0 + 18d0&
                       *cima*coupl(nGC_25)*coupl(nGC_3)*coupl(nGC_4)*coupl(    &
                       nGC_40) + 24d0*cima*coupl(nGC_29)*coupl(nGC_42) + 9d0*  &
                       cima*coupl(nGC_3)**2d0*coupl(nGC_4)**2d0 + 6d0*coupl(   &
                       nGC_160)**2d0*coupl(nGC_17) + 36d0*coupl(nGC_162)**2d0* &
                       coupl(nGC_17) - 6d0*coupl(nGC_162)*coupl(nGC_166)*coupl(&
                       nGC_8) - 12d0*coupl(nGC_162)*coupl(nGC_17)*coupl(nGC_40 &
                       ) - 6d0*coupl(nGC_162)*coupl(nGC_180)*coupl(nGC_9) - 6d0&
                       *coupl(nGC_162)*coupl(nGC_20)*coupl(nGC_8) - 6d0*coupl( &
                       nGC_162)*coupl(nGC_22)*coupl(nGC_7) + 36d0*coupl(nGC_164&
                       )**2d0*coupl(nGC_17) - 6d0*coupl(nGC_164)*coupl(nGC_166 &
                       )*coupl(nGC_27) - 12d0*coupl(nGC_164)*coupl(nGC_17)*    &
                       coupl(nGC_4) - 6d0*coupl(nGC_164)*coupl(nGC_180)*coupl( &
                       nGC_28) - 6d0*coupl(nGC_164)*coupl(nGC_20)*coupl(nGC_27 &
                       ) - 6d0*coupl(nGC_164)*coupl(nGC_22)*coupl(nGC_26) - 6d0&
                       *coupl(nGC_166)*coupl(nGC_18)*coupl(nGC_20) + 6d0*coupl(&
                       nGC_17)*coupl(nGC_174)*coupl(nGC_21) + 6d0*coupl(nGC_17 &
                       )*coupl(nGC_176)**2d0 + 6d0*coupl(nGC_17)*coupl(nGC_180 &
                       )*coupl(nGC_22) - 12d0*coupl(nGC_17)*coupl(nGC_25)*coupl&
                       (nGC_40) - 12d0*coupl(nGC_17)*coupl(nGC_3)*coupl(nGC_4  &
                       ) - 6d0*coupl(nGC_170)*coupl(nGC_4)**2d0 - 6d0*coupl(   &
                       nGC_172)*coupl(nGC_40)**2d0 - 6d0*coupl(nGC_18)*coupl(  &
                       nGC_180)*coupl(nGC_22) + 36d0*coupl(nGC_25)**2d0*coupl( &
                       nGC_45) + 72d0*coupl(nGC_25)*coupl(nGC_3)*coupl(nGC_42  &
                       ) - 12d0*coupl(nGC_29)*coupl(nGC_4)*coupl(nGC_40) + 36d0&
                       *coupl(nGC_3)**2d0*coupl(nGC_6))/(192d0*pi**2d0)
      coupl(nGC_704) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_55  &
                       )**2d0 - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)*coupl( &
                       nGC_63)**2d0 - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)* &
                       coupl(nGC_75)**2d0 - 12d0*Nc*cima*coupl(nGC_1)*coupl(   &
                       nGC_38)*coupl(nGC_55)**2d0 - 12d0*Nc*cima*coupl(nGC_1)* &
                       coupl(nGC_38)*coupl(nGC_63)**2d0 - 12d0*Nc*cima*coupl(  &
                       nGC_1)*coupl(nGC_38)*coupl(nGC_75)**2d0 - 12d0*Nc*cima* &
                       coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_59)**2d0 - 12d0*Nc*&
                       cima*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_79)**2d0 -    &
                       12d0*Nc*cima*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_87)** &
                       2d0 - 12d0*Nc*cima*coupl(nGC_2)*coupl(nGC_39)*coupl(    &
                       nGC_59)**2d0 - 12d0*Nc*cima*coupl(nGC_2)*coupl(nGC_39)* &
                       coupl(nGC_79)**2d0 - 12d0*Nc*cima*coupl(nGC_2)*coupl(   &
                       nGC_39)*coupl(nGC_87)**2d0 + 4d0*cima*coupl(nGC_160)*   &
                       coupl(nGC_166)*coupl(nGC_176)*coupl(nGC_20) + 9d0*cima* &
                       coupl(nGC_162)*coupl(nGC_164)*coupl(nGC_166)*coupl(     &
                       nGC_20) + 12d0*cima*coupl(nGC_17)*coupl(nGC_29) + 9d0*  &
                       cima*coupl(nGC_174)*coupl(nGC_21)*coupl(nGC_25)*coupl(  &
                       nGC_3) + 4d0*cima*coupl(nGC_174)*coupl(nGC_21)*coupl(   &
                       nGC_4)*coupl(nGC_40) - 12d0*cima*coupl(nGC_36)*coupl(   &
                       nGC_4)*coupl(nGC_67)**2d0 - 12d0*cima*coupl(nGC_36)*    &
                       coupl(nGC_4)*coupl(nGC_71)**2d0 - 12d0*cima*coupl(nGC_36&
                       )*coupl(nGC_4)*coupl(nGC_83)**2d0 - 12d0*cima*coupl(    &
                       nGC_4)*coupl(nGC_40)*coupl(nGC_67)**2d0 - 12d0*cima*    &
                       coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_71)**2d0 - 12d0*   &
                       cima*coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_83)**2d0 +    &
                       18d0*coupl(nGC_162)*coupl(nGC_164)*coupl(nGC_17) - 6d0* &
                       coupl(nGC_162)*coupl(nGC_20)*coupl(nGC_27) - 3d0*coupl( &
                       nGC_164)*coupl(nGC_166)*coupl(nGC_8) - 3d0*coupl(nGC_164&
                       )*coupl(nGC_20)*coupl(nGC_8) - 3d0*coupl(nGC_166)*coupl(&
                       nGC_20)*coupl(nGC_29) + 3d0*coupl(nGC_166)*coupl(nGC_20 &
                       )*coupl(nGC_42) + 18d0*coupl(nGC_17)*coupl(nGC_25)*coupl&
                       (nGC_3) - 3d0*coupl(nGC_174)*coupl(nGC_21)*coupl(nGC_29 &
                       ) + 3d0*coupl(nGC_174)*coupl(nGC_21)*coupl(nGC_42) - 3d0&
                       *coupl(nGC_174)*coupl(nGC_3)*coupl(nGC_8) - 6d0*coupl(  &
                       nGC_21)*coupl(nGC_25)*coupl(nGC_27) - 3d0*coupl(nGC_21)*&
                       coupl(nGC_3)*coupl(nGC_8))/(96d0*pi**2d0)
      coupl(nGC_1125) = coupl(nGC_55)*dZbL_QCD2/2d0 + coupl(nGC_55)*dZbR_QCD2/ &
                        2d0 + coupl(nGC_845)
      coupl(nGC_1122) = coupl(nGC_898) + coupl(nGC_MZ_GF)*dZZ_QED2/2d0
      coupl(nGC_1123) = coupl(nGC_41)*dZZ_QED2/2d0 + coupl(nGC_41)*dZnu_eL_QED2&
                         + coupl(nGC_814)
      coupl(nGC_1120) = coupl(nGC_MI)*dZsL_QED2
      coupl(nGC_701) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)**2d0*coupl(    &
                       nGC_38) + 6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)**2d0*  &
                       coupl(nGC_39) + 6d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)**&
                       2d0*coupl(nGC_38) - 4d0*Nc*cima*coupl(nGC_2)*coupl(     &
                       nGC_23)**2d0*coupl(nGC_39) - 8d0*cima*coupl(nGC_162)**  &
                       2d0*coupl(nGC_25)*coupl(nGC_3) - 8d0*cima*coupl(nGC_164 &
                       )**2d0*coupl(nGC_25)*coupl(nGC_3) + 4d0*cima*coupl(     &
                       nGC_168)*coupl(nGC_19) + 4d0*cima*coupl(nGC_168)*coupl( &
                       nGC_5) - 4d0*cima*coupl(nGC_23)**2d0*coupl(nGC_4)*coupl(&
                       nGC_40) + 6d0*cima*coupl(nGC_23)**2d0*coupl(nGC_4)*coupl&
                       (nGC_41) + coupl(nGC_162)**2d0*coupl(nGC_168) + coupl(  &
                       nGC_162)*coupl(nGC_164)*coupl(nGC_18) + 6d0*coupl(      &
                       nGC_162)*coupl(nGC_168)*coupl(nGC_25) + coupl(nGC_162)* &
                       coupl(nGC_172)*coupl(nGC_3) + 6d0*coupl(nGC_162)*coupl( &
                       nGC_19)*coupl(nGC_3) + coupl(nGC_162)*coupl(nGC_25)*    &
                       coupl(nGC_29) + 6d0*coupl(nGC_162)*coupl(nGC_3)*coupl(  &
                       nGC_5) + coupl(nGC_164)**2d0*coupl(nGC_168) + 6d0*coupl(&
                       nGC_164)*coupl(nGC_168)*coupl(nGC_3) + coupl(nGC_164)*  &
                       coupl(nGC_170)*coupl(nGC_25) + coupl(nGC_164)*coupl(    &
                       nGC_29)*coupl(nGC_3) + coupl(nGC_182)*coupl(nGC_25)*    &
                       coupl(nGC_3))/(32d0*pi**2d0)
      coupl(nGC_1085) = coupl(nGC_36)*dZZ_QED2/2d0 + coupl(nGC_36)*            &
                        dZtauMinusR_QED2 + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl( &
                        nGC_815)
      coupl(nGC_1084) = coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(nGC_40)*dZZ_QED2/2d0&
                         + coupl(nGC_40)*dZtauMinusL_QED2 + coupl(nGC_798)
      coupl(nGC_1087) = coupl(nGC_73)*dZcL_QED2/2d0 + coupl(nGC_73)*dZsR_QED2/ &
                        2d0 + coupl(nGC_822)
      coupl(nGC_1086) = -coupl(nGC_22)*dZWMinus_QED2/2d0 - coupl(nGC_790)
      coupl(nGC_1081) = coupl(nGC_42)*dZAZ_QED2 + coupl(nGC_45)*dZZ_QED2 +     &
                        coupl(nGC_804)
      coupl(nGC_1083) = coupl(nGC_36)*dZZ_QED2/2d0 + coupl(nGC_36)*            &
                        dZeMinusR_QED2 + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(   &
                        nGC_815)
      coupl(nGC_709) = (6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)**3d0 + 6d0*Nc*  &
                       cima*coupl(nGC_1)*coupl(nGC_38)**3d0 + 6d0*Nc*cima*coupl&
                       (nGC_2)*coupl(nGC_35)**3d0 + 6d0*Nc*cima*coupl(nGC_2)*  &
                       coupl(nGC_39)**3d0 - 20d0*cima*coupl(nGC_162)**3d0*coupl&
                       (nGC_164) + 6d0*cima*coupl(nGC_172)*coupl(nGC_29) - 20d0&
                       *cima*coupl(nGC_25)**3d0*coupl(nGC_3) + 6d0*cima*coupl( &
                       nGC_36)**3d0*coupl(nGC_4) + 6d0*cima*coupl(nGC_4)*coupl(&
                       nGC_40)**3d0 + 3d0*coupl(nGC_162)**2d0*coupl(nGC_168) + &
                       9d0*coupl(nGC_162)**2d0*coupl(nGC_29) + 9d0*coupl(      &
                       nGC_162)*coupl(nGC_164)*coupl(nGC_172) + 3d0*coupl(     &
                       nGC_162)*coupl(nGC_164)*coupl(nGC_19) + 3d0*coupl(      &
                       nGC_168)*coupl(nGC_25)**2d0 + 9d0*coupl(nGC_172)*coupl( &
                       nGC_25)*coupl(nGC_3) + 3d0*coupl(nGC_19)*coupl(nGC_25)* &
                       coupl(nGC_3) + 9d0*coupl(nGC_25)**2d0*coupl(nGC_29))/(  &
                       48d0*pi**2d0)
      coupl(nGC_1089) = coupl(nGC_57)*dZcR_QED2/2d0 + coupl(nGC_57)*dZsL_QED2/ &
                        2d0 + coupl(nGC_820)
      coupl(nGC_772) = coupl(nGC_404)*dZee_QED2
      coupl(nGC_771) = coupl(nGC_421)*dZee_QED2 + coupl(nGC_422)*dsw_QED2 +    &
                       coupl(nGC_423)*dcw_QED2
      coupl(nGC_770) = coupl(nGC_308)*dZee_QED2 + coupl(nGC_309)*dsw_QED2 +    &
                       coupl(nGC_310)*dcw_QED2
      coupl(nGC_777) = coupl(nGC_449)*dZee_QED2 + coupl(nGC_450)*dsw_QED2 +    &
                       coupl(nGC_451)*dcw_QED2
      coupl(nGC_776) = coupl(nGC_357)*dsw_QED2 + coupl(nGC_358)*dMW2_QED2 +    &
                       coupl(nGC_359)*dZee_QED2 + coupl(nGC_360)*dcw_QED2
      coupl(nGC_775) = coupl(nGC_315)*dsw_QED2 + coupl(nGC_316)*dMW2_QED2 +    &
                       coupl(nGC_317)*dZee_QED2
      coupl(nGC_774) = coupl(nGC_321)*dsw_QED2 + coupl(nGC_322)*dMW2_QED2 +    &
                       coupl(nGC_323)*dZee_QED2
      coupl(nGC_779) = coupl(nGC_318)*dZee_QED2 + coupl(nGC_319)*dsw_QED2 +    &
                       coupl(nGC_320)*dMZ2_QED2
      coupl(nGC_778) = coupl(nGC_324)*dsw_QED2 + coupl(nGC_325)*dMW2_QED2 +    &
                       coupl(nGC_326)*dZee_QED2
      coupl(nGC_1088) = coupl(nGC_73)*dZcL_QCD2/2d0 + coupl(nGC_73)*dZsR_QCD2/ &
                        2d0 + coupl(nGC_823)
      coupl(nGC_829) = coupl(nGC_437)*dydo_QED1_QCD2
      coupl(nGC_828) = coupl(nGC_437)*dydo_QED3
      coupl(nGC_708) = (-16d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_53)**2d0 -  &
                       16d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_61)**2d0 -    &
                       16d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_73)**2d0 +    &
                       20d0*Nc*cima*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_53)**&
                       2d0 + 20d0*Nc*cima*coupl(nGC_34)*coupl(nGC_39)*coupl(   &
                       nGC_61)**2d0 + 20d0*Nc*cima*coupl(nGC_34)*coupl(nGC_39)*&
                       coupl(nGC_73)**2d0 - 16d0*Nc*cima*coupl(nGC_35)**2d0*   &
                       coupl(nGC_57)**2d0 - 16d0*Nc*cima*coupl(nGC_35)**2d0*   &
                       coupl(nGC_77)**2d0 - 16d0*Nc*cima*coupl(nGC_35)**2d0*   &
                       coupl(nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_35)*coupl(  &
                       nGC_38)*coupl(nGC_57)**2d0 + 20d0*Nc*cima*coupl(nGC_35)*&
                       coupl(nGC_38)*coupl(nGC_77)**2d0 + 20d0*Nc*cima*coupl(  &
                       nGC_35)*coupl(nGC_38)*coupl(nGC_85)**2d0 - 16d0*Nc*cima*&
                       coupl(nGC_38)**2d0*coupl(nGC_57)**2d0 - 16d0*Nc*cima*   &
                       coupl(nGC_38)**2d0*coupl(nGC_77)**2d0 - 16d0*Nc*cima*   &
                       coupl(nGC_38)**2d0*coupl(nGC_85)**2d0 - 16d0*Nc*cima*   &
                       coupl(nGC_39)**2d0*coupl(nGC_53)**2d0 - 16d0*Nc*cima*   &
                       coupl(nGC_39)**2d0*coupl(nGC_61)**2d0 - 16d0*Nc*cima*   &
                       coupl(nGC_39)**2d0*coupl(nGC_73)**2d0 + 4d0*cima*coupl( &
                       nGC_160)**2d0*coupl(nGC_40)**2d0 + 9d0*cima*coupl(      &
                       nGC_166)*coupl(nGC_20)*coupl(nGC_25)**2d0 + 12d0*cima*  &
                       coupl(nGC_17)*coupl(nGC_172) + 4d0*cima*coupl(nGC_174)* &
                       coupl(nGC_184)*coupl(nGC_21)*coupl(nGC_37) + 4d0*cima*  &
                       coupl(nGC_176)**2d0*coupl(nGC_40)**2d0 + 4d0*cima*coupl(&
                       nGC_180)*coupl(nGC_184)*coupl(nGC_22)*coupl(nGC_37) +   &
                       9d0*cima*coupl(nGC_180)*coupl(nGC_22)*coupl(nGC_25)**2d0&
                        - 16d0*cima*coupl(nGC_36)**2d0*coupl(nGC_65)**2d0 -    &
                       16d0*cima*coupl(nGC_36)**2d0*coupl(nGC_69)**2d0 - 16d0* &
                       cima*coupl(nGC_36)**2d0*coupl(nGC_81)**2d0 + 20d0*cima* &
                       coupl(nGC_36)*coupl(nGC_41)*coupl(nGC_65)**2d0 + 20d0*  &
                       cima*coupl(nGC_36)*coupl(nGC_41)*coupl(nGC_69)**2d0 +   &
                       20d0*cima*coupl(nGC_36)*coupl(nGC_41)*coupl(nGC_81)**2d0&
                        - 16d0*cima*coupl(nGC_41)**2d0*coupl(nGC_65)**2d0 -    &
                       16d0*cima*coupl(nGC_41)**2d0*coupl(nGC_69)**2d0 - 16d0* &
                       cima*coupl(nGC_41)**2d0*coupl(nGC_81)**2d0 + 3d0*coupl( &
                       nGC_160)**2d0*coupl(nGC_45) + 18d0*coupl(nGC_162)**2d0* &
                       coupl(nGC_17) - 3d0*coupl(nGC_166)*coupl(nGC_172)*coupl(&
                       nGC_20) - 6d0*coupl(nGC_166)*coupl(nGC_25)*coupl(nGC_8  &
                       ) + 18d0*coupl(nGC_17)*coupl(nGC_25)**2d0 - 3d0*coupl(  &
                       nGC_172)*coupl(nGC_180)*coupl(nGC_22) + 3d0*coupl(      &
                       nGC_174)*coupl(nGC_21)*coupl(nGC_46) + 3d0*coupl(nGC_176&
                       )**2d0*coupl(nGC_45) + 3d0*coupl(nGC_180)*coupl(nGC_22)*&
                       coupl(nGC_46) - 6d0*coupl(nGC_180)*coupl(nGC_25)*coupl( &
                       nGC_9) - 6d0*coupl(nGC_20)*coupl(nGC_25)*coupl(nGC_8) - &
                       6d0*coupl(nGC_22)*coupl(nGC_25)*coupl(nGC_7))/(96d0*pi**&
                       2d0)
      coupl(nGC_1186) = coupl(nGC_894) + coupl(nGC_MZ)*dZZ_QED2
      coupl(nGC_720) = (20d0*Nc*cima*coupl(nGC_54)**2d0*coupl(nGC_55)**2d0 +   &
                       80d0*Nc*cima*coupl(nGC_54)*coupl(nGC_55)**2d0*coupl(    &
                       nGC_56) + 20d0*Nc*cima*coupl(nGC_55)**2d0*coupl(nGC_56  &
                       )**2d0 + 20d0*Nc*cima*coupl(nGC_58)**2d0*coupl(nGC_59)**&
                       2d0 + 80d0*Nc*cima*coupl(nGC_58)*coupl(nGC_59)**2d0*    &
                       coupl(nGC_60) + 20d0*Nc*cima*coupl(nGC_59)**2d0*coupl(  &
                       nGC_60)**2d0 + 20d0*Nc*cima*coupl(nGC_62)**2d0*coupl(   &
                       nGC_63)**2d0 + 80d0*Nc*cima*coupl(nGC_62)*coupl(nGC_63  &
                       )**2d0*coupl(nGC_64) + 20d0*Nc*cima*coupl(nGC_63)**2d0* &
                       coupl(nGC_64)**2d0 + 20d0*Nc*cima*coupl(nGC_74)**2d0*   &
                       coupl(nGC_75)**2d0 + 80d0*Nc*cima*coupl(nGC_74)*coupl(  &
                       nGC_75)**2d0*coupl(nGC_76) + 20d0*Nc*cima*coupl(nGC_75  &
                       )**2d0*coupl(nGC_76)**2d0 + 20d0*Nc*cima*coupl(nGC_78)**&
                       2d0*coupl(nGC_79)**2d0 + 80d0*Nc*cima*coupl(nGC_78)*    &
                       coupl(nGC_79)**2d0*coupl(nGC_80) + 20d0*Nc*cima*coupl(  &
                       nGC_79)**2d0*coupl(nGC_80)**2d0 + 20d0*Nc*cima*coupl(   &
                       nGC_86)**2d0*coupl(nGC_87)**2d0 + 80d0*Nc*cima*coupl(   &
                       nGC_86)*coupl(nGC_87)**2d0*coupl(nGC_88) + 20d0*Nc*cima*&
                       coupl(nGC_87)**2d0*coupl(nGC_88)**2d0 - 5d0*cima*coupl( &
                       nGC_166)**2d0*coupl(nGC_180)**2d0 - 20d0*cima*coupl(    &
                       nGC_166)*coupl(nGC_180)*coupl(nGC_20)*coupl(nGC_22) +   &
                       12d0*cima*coupl(nGC_17)**2d0 - 5d0*cima*coupl(nGC_174)**&
                       2d0*coupl(nGC_180)**2d0 - 20d0*cima*coupl(nGC_174)*coupl&
                       (nGC_180)*coupl(nGC_21)*coupl(nGC_22) - 10d0*cima*coupl(&
                       nGC_184)**2d0*coupl(nGC_37)**2d0 - 5d0*cima*coupl(nGC_20&
                       )**2d0*coupl(nGC_22)**2d0 - 5d0*cima*coupl(nGC_21)**2d0*&
                       coupl(nGC_22)**2d0 + 6d0*cima*coupl(nGC_46)**2d0 + 20d0*&
                       cima*coupl(nGC_66)**2d0*coupl(nGC_67)**2d0 + 80d0*cima* &
                       coupl(nGC_66)*coupl(nGC_67)**2d0*coupl(nGC_68) + 20d0*  &
                       cima*coupl(nGC_67)**2d0*coupl(nGC_68)**2d0 + 20d0*cima* &
                       coupl(nGC_70)**2d0*coupl(nGC_71)**2d0 + 80d0*cima*coupl(&
                       nGC_70)*coupl(nGC_71)**2d0*coupl(nGC_72) + 20d0*cima*   &
                       coupl(nGC_71)**2d0*coupl(nGC_72)**2d0 + 20d0*cima*coupl(&
                       nGC_82)**2d0*coupl(nGC_83)**2d0 + 80d0*cima*coupl(nGC_82&
                       )*coupl(nGC_83)**2d0*coupl(nGC_84) + 20d0*cima*coupl(   &
                       nGC_83)**2d0*coupl(nGC_84)**2d0 + 3d0*coupl(nGC_13)*    &
                       coupl(nGC_166)*coupl(nGC_20) + 3d0*coupl(nGC_13)*coupl( &
                       nGC_174)*coupl(nGC_21) + 6d0*coupl(nGC_13)*coupl(nGC_180&
                       )*coupl(nGC_22) + 6d0*coupl(nGC_13)*coupl(nGC_184)**2d0 &
                        + 6d0*coupl(nGC_13)*coupl(nGC_37)**2d0 + 6d0*coupl(    &
                       nGC_15)*coupl(nGC_184)*coupl(nGC_37) - 3d0*coupl(nGC_166&
                       )*coupl(nGC_17)*coupl(nGC_20) - 3d0*coupl(nGC_17)*coupl(&
                       nGC_174)*coupl(nGC_21) - 6d0*coupl(nGC_17)*coupl(nGC_180&
                       )*coupl(nGC_22) - 6d0*coupl(nGC_184)*coupl(nGC_37)*coupl&
                       (nGC_46))/(96d0*pi**2d0)
      coupl(nGC_1012) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_39)*dZZ_QED2/2d0&
                         + coupl(nGC_39)*dZtL_QED2 + coupl(nGC_811)
      coupl(nGC_1013) = coupl(nGC_39)*dZtL_QCD2
      coupl(nGC_1010) = -coupl(nGC_4)*dZWMinus_QED2/2d0 - coupl(nGC_772)
      coupl(nGC_1011) = coupl(nGC_783) + coupl(nGC_GPGMGPGM)
      coupl(nGC_1016) = 2d0*coupl(nGC_12)*dZg_QCD2 + coupl(nGC_765)
      coupl(nGC_1017) = -4d0*coupl(nGC_12)*dZg_QCD2 - 2d0*coupl(nGC_765)
      coupl(nGC_1014) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_35)*dZZ_QED2/2d0&
                         + coupl(nGC_35)*dZtR_QED2 + coupl(nGC_810)
      coupl(nGC_1015) = coupl(nGC_35)*dZtR_QCD2
      coupl(nGC_1018) = -2d0*coupl(nGC_12)*dZg_QCD2 - coupl(nGC_765)
      coupl(nGC_1019) = 4d0*coupl(nGC_12)*dZg_QCD2 + 2d0*coupl(nGC_765)
      coupl(nGC_1124) = coupl(nGC_55)*dZH_QED2/2d0 + coupl(nGC_55)*dZbL_QED2/  &
                        2d0 + coupl(nGC_55)*dZbR_QED2/2d0 + coupl(nGC_844)
      coupl(nGC_561) = (-coupl(nGC_160)*coupl(nGC_4)*coupl(nGC_81) - coupl(    &
                       nGC_166)*coupl(nGC_23)*coupl(nGC_83) - coupl(nGC_176)*  &
                       coupl(nGC_36)*coupl(nGC_81) - coupl(nGC_22)*coupl(nGC_23&
                       )*coupl(nGC_82) + 8d0*coupl(nGC_36)*coupl(nGC_41)*coupl(&
                       nGC_81) - coupl(nGC_40)*coupl(nGC_41)*coupl(nGC_81))/(  &
                       32d0*pi**2d0)
      coupl(nGC_917) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZdR_QED2 +    &
                       coupl(nGC_34)*dZZA_QED2/2d0 + coupl(nGC_807)
      coupl(nGC_915) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZdL_QED2 +    &
                       coupl(nGC_38)*dZZA_QED2/2d0 + coupl(nGC_807)
      coupl(nGC_914) = coupl(nGC_22)*dZWMinus_QED2/2d0 + coupl(nGC_790)
      coupl(nGC_913) = coupl(nGC_MI)*dZnu_eL_QED2
      coupl(nGC_911) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*        &
                       dZbL_QED2/2d0 + coupl(nGC_23)*dZtL_QED2/2d0 + coupl(    &
                       nGC_809)
      coupl(nGC_910) = coupl(nGC_MI)*dZmuMinusL_QED2
      coupl(nGC_1188) = -coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_722) = (20d0*Nc*cima*coupl(nGC_55)**4d0 + 20d0*Nc*cima*coupl(  &
                       nGC_59)**4d0 + 20d0*Nc*cima*coupl(nGC_63)**4d0 + 20d0*Nc&
                       *cima*coupl(nGC_75)**4d0 + 20d0*Nc*cima*coupl(nGC_79)** &
                       4d0 + 20d0*Nc*cima*coupl(nGC_87)**4d0 - 5d0*cima*coupl( &
                       nGC_166)**2d0*coupl(nGC_20)**2d0 + 6d0*cima*coupl(nGC_17&
                       )**2d0 - 5d0*cima*coupl(nGC_174)**2d0*coupl(nGC_21)**2d0&
                        - 5d0*cima*coupl(nGC_184)**2d0*coupl(nGC_37)**2d0 + 3d0&
                       *cima*coupl(nGC_46)**2d0 + 20d0*cima*coupl(nGC_67)**4d0 &
                        + 20d0*cima*coupl(nGC_71)**4d0 + 20d0*cima*coupl(nGC_83&
                       )**4d0 + 3d0*coupl(nGC_13)*coupl(nGC_166)*coupl(nGC_20  &
                       ) + 3d0*coupl(nGC_13)*coupl(nGC_174)*coupl(nGC_21) + 3d0&
                       *coupl(nGC_13)*coupl(nGC_184)*coupl(nGC_37) - 3d0*coupl(&
                       nGC_166)*coupl(nGC_17)*coupl(nGC_20) - 3d0*coupl(nGC_17 &
                       )*coupl(nGC_174)*coupl(nGC_21) - 3d0*coupl(nGC_184)*    &
                       coupl(nGC_37)*coupl(nGC_46))/(16d0*pi**2d0)
      coupl(nGC_919) = coupl(nGC_13)*dZH_QED2 + coupl(nGC_782) + coupl(nGC_HHGG)
      coupl(nGC_1189) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZtL_QED2 +   &
                        coupl(nGC_39)*dZZA_QED2/2d0 + coupl(nGC_806)
      coupl(nGC_857) = coupl(nGC_435)*dytau_QED3
      coupl(nGC_855) = coupl(nGC_443)*dye_QED3
      coupl(nGC_852) = coupl(nGC_407)*dym_QED3
      coupl(nGC_853) = coupl(nGC_436)*dytau_QED3
      coupl(nGC_850) = coupl(nGC_442)*dye_QED3
      coupl(nGC_1067) = coupl(nGC_66)*dZeMinusL_QED2/2d0 + coupl(nGC_66)*      &
                        dZeMinusR_QED2/2d0 + coupl(nGC_850)
      coupl(nGC_698) = (6d0*Nc*cima*coupl(nGC_1)**3d0*coupl(nGC_34) + 6d0*Nc*  &
                       cima*coupl(nGC_1)**3d0*coupl(nGC_38) + 6d0*Nc*cima*coupl&
                       (nGC_2)**3d0*coupl(nGC_35) + 6d0*Nc*cima*coupl(nGC_2)** &
                       3d0*coupl(nGC_39) - 20d0*cima*coupl(nGC_162)*coupl(     &
                       nGC_164)**3d0 + 6d0*cima*coupl(nGC_170)*coupl(nGC_29) - &
                       20d0*cima*coupl(nGC_25)*coupl(nGC_3)**3d0 + 6d0*cima*   &
                       coupl(nGC_36)*coupl(nGC_4)**3d0 + 6d0*cima*coupl(nGC_4  &
                       )**3d0*coupl(nGC_40) + 9d0*coupl(nGC_162)*coupl(nGC_164 &
                       )*coupl(nGC_170) + 3d0*coupl(nGC_162)*coupl(nGC_164)*   &
                       coupl(nGC_5) + 3d0*coupl(nGC_164)**2d0*coupl(nGC_168) + &
                       9d0*coupl(nGC_164)**2d0*coupl(nGC_29) + 3d0*coupl(      &
                       nGC_168)*coupl(nGC_3)**2d0 + 9d0*coupl(nGC_170)*coupl(  &
                       nGC_25)*coupl(nGC_3) + 3d0*coupl(nGC_25)*coupl(nGC_3)*  &
                       coupl(nGC_5) + 9d0*coupl(nGC_29)*coupl(nGC_3)**2d0)/(   &
                       48d0*pi**2d0)
      coupl(nGC_1064) = coupl(nGC_38)*dZbL_QCD2
      coupl(nGC_1063) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_38)*dZZ_QED2/2d0&
                         + coupl(nGC_38)*dZbL_QED2 + coupl(nGC_812)
      coupl(nGC_1062) = coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(nGC_40)*dZZ_QED2/2d0&
                         + coupl(nGC_798)
      coupl(nGC_1061) = coupl(nGC_MI)*dZnu_muL_QED2
      coupl(nGC_1060) = coupl(nGC_67)*dZH_QED2/2d0 + coupl(nGC_67)*            &
                        dZeMinusL_QED2/2d0 + coupl(nGC_67)*dZeMinusR_QED2/2d0  &
                         + coupl(nGC_855)
      coupl(nGC_723) = (-32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_54)*coupl(  &
                       nGC_56) - 32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_62)*&
                       coupl(nGC_64) - 32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(  &
                       nGC_74)*coupl(nGC_76) + 40d0*Nc*cima*coupl(nGC_34)*coupl&
                       (nGC_38)*coupl(nGC_54)*coupl(nGC_56) + 40d0*Nc*cima*    &
                       coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_62)*coupl(nGC_64  &
                       ) + 40d0*Nc*cima*coupl(nGC_34)*coupl(nGC_38)*coupl(     &
                       nGC_74)*coupl(nGC_76) - 32d0*Nc*cima*coupl(nGC_35)**2d0*&
                       coupl(nGC_58)*coupl(nGC_60) - 32d0*Nc*cima*coupl(nGC_35 &
                       )**2d0*coupl(nGC_78)*coupl(nGC_80) - 32d0*Nc*cima*coupl(&
                       nGC_35)**2d0*coupl(nGC_86)*coupl(nGC_88) + 40d0*Nc*cima*&
                       coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_58)*coupl(nGC_60  &
                       ) + 40d0*Nc*cima*coupl(nGC_35)*coupl(nGC_39)*coupl(     &
                       nGC_78)*coupl(nGC_80) + 40d0*Nc*cima*coupl(nGC_35)*coupl&
                       (nGC_39)*coupl(nGC_86)*coupl(nGC_88) - 32d0*Nc*cima*    &
                       coupl(nGC_38)**2d0*coupl(nGC_54)*coupl(nGC_56) - 32d0*Nc&
                       *cima*coupl(nGC_38)**2d0*coupl(nGC_62)*coupl(nGC_64) -  &
                       32d0*Nc*cima*coupl(nGC_38)**2d0*coupl(nGC_74)*coupl(    &
                       nGC_76) - 32d0*Nc*cima*coupl(nGC_39)**2d0*coupl(nGC_58)*&
                       coupl(nGC_60) - 32d0*Nc*cima*coupl(nGC_39)**2d0*coupl(  &
                       nGC_78)*coupl(nGC_80) - 32d0*Nc*cima*coupl(nGC_39)**2d0*&
                       coupl(nGC_86)*coupl(nGC_88) + 9d0*cima*coupl(nGC_162)** &
                       2d0*coupl(nGC_180)*coupl(nGC_22) + 12d0*cima*coupl(     &
                       nGC_17)*coupl(nGC_172) + 4d0*cima*coupl(nGC_176)**2d0*  &
                       coupl(nGC_180)*coupl(nGC_22) + 9d0*cima*coupl(nGC_180)* &
                       coupl(nGC_22)*coupl(nGC_25)**2d0 + 4d0*cima*coupl(      &
                       nGC_180)*coupl(nGC_22)*coupl(nGC_40)**2d0 + 4d0*cima*   &
                       coupl(nGC_184)**2d0*coupl(nGC_37)**2d0 - 32d0*cima*coupl&
                       (nGC_36)**2d0*coupl(nGC_66)*coupl(nGC_68) - 32d0*cima*  &
                       coupl(nGC_36)**2d0*coupl(nGC_70)*coupl(nGC_72) - 32d0*  &
                       cima*coupl(nGC_36)**2d0*coupl(nGC_82)*coupl(nGC_84) +   &
                       40d0*cima*coupl(nGC_36)*coupl(nGC_40)*coupl(nGC_66)*    &
                       coupl(nGC_68) + 40d0*cima*coupl(nGC_36)*coupl(nGC_40)*  &
                       coupl(nGC_70)*coupl(nGC_72) + 40d0*cima*coupl(nGC_36)*  &
                       coupl(nGC_40)*coupl(nGC_82)*coupl(nGC_84) - 32d0*cima*  &
                       coupl(nGC_40)**2d0*coupl(nGC_66)*coupl(nGC_68) - 32d0*  &
                       cima*coupl(nGC_40)**2d0*coupl(nGC_70)*coupl(nGC_72) -   &
                       32d0*cima*coupl(nGC_40)**2d0*coupl(nGC_82)*coupl(nGC_84 &
                       ) + 18d0*coupl(nGC_162)**2d0*coupl(nGC_17) - 6d0*coupl( &
                       nGC_162)*coupl(nGC_180)*coupl(nGC_9) - 6d0*coupl(nGC_162&
                       )*coupl(nGC_22)*coupl(nGC_7) + 18d0*coupl(nGC_17)*coupl(&
                       nGC_25)**2d0 - 6d0*coupl(nGC_172)*coupl(nGC_180)*coupl( &
                       nGC_22) + 6d0*coupl(nGC_180)*coupl(nGC_22)*coupl(nGC_45 &
                       ) - 6d0*coupl(nGC_180)*coupl(nGC_25)*coupl(nGC_7) + 3d0*&
                       coupl(nGC_184)*coupl(nGC_37)*coupl(nGC_46) - 6d0*coupl( &
                       nGC_22)*coupl(nGC_25)*coupl(nGC_9))/(96d0*pi**2d0)
      coupl(nGC_1069) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_39)*dZZ_QED2/2d0&
                         + coupl(nGC_39)*dZuL_QED2 + coupl(nGC_811)
      coupl(nGC_1068) = coupl(nGC_68)*dZeMinusL_QED2/2d0 + coupl(nGC_68)*      &
                        dZeMinusR_QED2/2d0 + coupl(nGC_849)
      coupl(nGC_539) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_57) + coupl(   &
                       nGC_1)*coupl(nGC_4)*coupl(nGC_57) + coupl(nGC_160)*coupl&
                       (nGC_2)*coupl(nGC_57) + coupl(nGC_176)*coupl(nGC_35)*   &
                       coupl(nGC_57) + coupl(nGC_180)*coupl(nGC_23)*coupl(     &
                       nGC_60) + coupl(nGC_20)*coupl(nGC_23)*coupl(nGC_59) +   &
                       8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_57) + coupl(  &
                       nGC_38)*coupl(nGC_40)*coupl(nGC_57) - coupl(nGC_59)*    &
                       coupl(nGC_73)*coupl(nGC_75) - coupl(nGC_60)*coupl(nGC_73&
                       )*coupl(nGC_74))/(32d0*pi**2d0)
      coupl(nGC_538) = coupl(nGC_11)**2d0*coupl(nGC_77)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_531) = (4d0*Nc*coupl(nGC_34)*coupl(nGC_53)**2d0 + 4d0*Nc*coupl(&
                       nGC_34)*coupl(nGC_61)**2d0 + 4d0*Nc*coupl(nGC_34)*coupl(&
                       nGC_73)**2d0 - 4d0*Nc*coupl(nGC_35)*coupl(nGC_57)**2d0  &
                        - 4d0*Nc*coupl(nGC_35)*coupl(nGC_77)**2d0 - 4d0*Nc*    &
                       coupl(nGC_35)*coupl(nGC_85)**2d0 + 4d0*Nc*coupl(nGC_38)*&
                       coupl(nGC_57)**2d0 + 4d0*Nc*coupl(nGC_38)*coupl(nGC_77  &
                       )**2d0 + 4d0*Nc*coupl(nGC_38)*coupl(nGC_85)**2d0 - 4d0* &
                       Nc*coupl(nGC_39)*coupl(nGC_53)**2d0 - 4d0*Nc*coupl(     &
                       nGC_39)*coupl(nGC_61)**2d0 - 4d0*Nc*coupl(nGC_39)*coupl(&
                       nGC_73)**2d0 + coupl(nGC_160)**2d0*coupl(nGC_40) - 6d0* &
                       coupl(nGC_166)*coupl(nGC_20)*coupl(nGC_25) + coupl(     &
                       nGC_174)*coupl(nGC_180)*coupl(nGC_184) + coupl(nGC_176  &
                       )**2d0*coupl(nGC_40) - 6d0*coupl(nGC_180)*coupl(nGC_22)*&
                       coupl(nGC_25) + coupl(nGC_21)*coupl(nGC_22)*coupl(nGC_37&
                       ) + 4d0*coupl(nGC_36)*coupl(nGC_65)**2d0 + 4d0*coupl(   &
                       nGC_36)*coupl(nGC_69)**2d0 + 4d0*coupl(nGC_36)*coupl(   &
                       nGC_81)**2d0 - 4d0*coupl(nGC_41)*coupl(nGC_65)**2d0 -   &
                       4d0*coupl(nGC_41)*coupl(nGC_69)**2d0 - 4d0*coupl(nGC_41 &
                       )*coupl(nGC_81)**2d0)/(96d0*pi**2d0)
      coupl(nGC_530) = (4d0*Nc*cMB*coupl(nGC_53)**2d0*coupl(nGC_55) + 4d0*Nc*  &
                       cMB*coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_79) + 4d0*Nc* &
                       cMB*coupl(nGC_55)*coupl(nGC_77)**2d0 + 4d0*Nc*cMC*coupl(&
                       nGC_57)**2d0*coupl(nGC_59) + 4d0*Nc*cMC*coupl(nGC_57)*  &
                       coupl(nGC_73)*coupl(nGC_75) + 4d0*Nc*cMC*coupl(nGC_59)* &
                       coupl(nGC_73)**2d0 + 4d0*Nc*cMD*coupl(nGC_61)**2d0*coupl&
                       (nGC_63) + 4d0*Nc*cMD*coupl(nGC_61)*coupl(nGC_85)*coupl(&
                       nGC_87) + 4d0*Nc*cMD*coupl(nGC_63)*coupl(nGC_85)**2d0 + &
                       4d0*Nc*cMS*coupl(nGC_57)**2d0*coupl(nGC_75) + 4d0*Nc*cMS&
                       *coupl(nGC_57)*coupl(nGC_59)*coupl(nGC_73) + 4d0*Nc*cMS*&
                       coupl(nGC_73)**2d0*coupl(nGC_75) + 4d0*Nc*cMT*coupl(    &
                       nGC_53)**2d0*coupl(nGC_79) + 4d0*Nc*cMT*coupl(nGC_53)*  &
                       coupl(nGC_55)*coupl(nGC_77) + 4d0*Nc*cMT*coupl(nGC_77)**&
                       2d0*coupl(nGC_79) + 4d0*Nc*cMU*coupl(nGC_61)**2d0*coupl(&
                       nGC_87) + 4d0*Nc*cMU*coupl(nGC_61)*coupl(nGC_63)*coupl( &
                       nGC_85) + 4d0*Nc*cMU*coupl(nGC_85)**2d0*coupl(nGC_87) + &
                       4d0*cME*coupl(nGC_65)**2d0*coupl(nGC_67) + 4d0*cMM*coupl&
                       (nGC_69)**2d0*coupl(nGC_71) + 4d0*cMTA*coupl(nGC_81)**  &
                       2d0*coupl(nGC_83) + 4d0*cima*coupl(nGC_17)*coupl(nGC_50 &
                       ) + 8d0*cima*coupl(nGC_27)*coupl(nGC_51) + 2d0*cima*    &
                       coupl(nGC_45)*coupl(nGC_52) + 8d0*cima*coupl(nGC_47)*   &
                       coupl(nGC_8) + coupl(nGC_160)**2d0*coupl(nGC_48) - coupl&
                       (nGC_160)*coupl(nGC_174)*coupl(nGC_51) - coupl(nGC_160)*&
                       coupl(nGC_21)*coupl(nGC_51) + coupl(nGC_166)*coupl(     &
                       nGC_174)*coupl(nGC_48) - coupl(nGC_166)*coupl(nGC_20)*  &
                       coupl(nGC_50) - coupl(nGC_174)*coupl(nGC_176)*coupl(    &
                       nGC_47) + coupl(nGC_174)*coupl(nGC_21)*coupl(nGC_49) +  &
                       coupl(nGC_176)**2d0*coupl(nGC_48) - coupl(nGC_176)*coupl&
                       (nGC_21)*coupl(nGC_47) + coupl(nGC_180)*coupl(nGC_22)*  &
                       coupl(nGC_48) - coupl(nGC_180)*coupl(nGC_22)*coupl(     &
                       nGC_50) - coupl(nGC_180)*coupl(nGC_37)*coupl(nGC_47) -  &
                       coupl(nGC_184)*coupl(nGC_22)*coupl(nGC_47) + coupl(     &
                       nGC_20)*coupl(nGC_21)*coupl(nGC_48) - coupl(nGC_40)**2d0&
                       *coupl(nGC_52))/(32d0*pi**2d0)
      coupl(nGC_533) = (-4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_55) + 4d0&
                       *Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_59) - 4d0*Nc* &
                       coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_63) - 4d0*Nc*coupl&
                       (nGC_23)*coupl(nGC_73)*coupl(nGC_75) + 4d0*Nc*coupl(    &
                       nGC_23)*coupl(nGC_77)*coupl(nGC_79) + 4d0*Nc*coupl(     &
                       nGC_23)*coupl(nGC_85)*coupl(nGC_87) - 6d0*coupl(nGC_162 &
                       )*coupl(nGC_180)*coupl(nGC_37) + coupl(nGC_166)*coupl(  &
                       nGC_174)**2d0 + coupl(nGC_166)*coupl(nGC_22)**2d0 +     &
                       coupl(nGC_176)*coupl(nGC_180)*coupl(nGC_184) - 6d0*coupl&
                       (nGC_20)*coupl(nGC_25)*coupl(nGC_40) - 6d0*coupl(nGC_20 &
                       )*coupl(nGC_3)*coupl(nGC_4) - 4d0*coupl(nGC_23)*coupl(  &
                       nGC_65)*coupl(nGC_67) - 4d0*coupl(nGC_23)*coupl(nGC_69)*&
                       coupl(nGC_71) - 4d0*coupl(nGC_23)*coupl(nGC_81)*coupl(  &
                       nGC_83))/(96d0*pi**2d0)
      coupl(nGC_532) = (-4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_54) + 4d0&
                       *Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_58) - 4d0*Nc* &
                       coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_62) - 4d0*Nc*coupl&
                       (nGC_23)*coupl(nGC_73)*coupl(nGC_74) + 4d0*Nc*coupl(    &
                       nGC_23)*coupl(nGC_77)*coupl(nGC_78) + 4d0*Nc*coupl(     &
                       nGC_23)*coupl(nGC_85)*coupl(nGC_86) - 6d0*coupl(nGC_162 &
                       )*coupl(nGC_184)*coupl(nGC_20) + coupl(nGC_174)**2d0*   &
                       coupl(nGC_22) + coupl(nGC_176)*coupl(nGC_20)*coupl(     &
                       nGC_37) - 6d0*coupl(nGC_180)*coupl(nGC_25)*coupl(nGC_40 &
                       ) - 6d0*coupl(nGC_180)*coupl(nGC_3)*coupl(nGC_4) + coupl&
                       (nGC_22)**3d0 - 4d0*coupl(nGC_23)*coupl(nGC_65)*coupl(  &
                       nGC_66) - 4d0*coupl(nGC_23)*coupl(nGC_69)*coupl(nGC_70  &
                       ) - 4d0*coupl(nGC_23)*coupl(nGC_81)*coupl(nGC_82))/(96d0&
                       *pi**2d0)
      coupl(nGC_535) = (-coupl(nGC_1)*coupl(nGC_160)*coupl(nGC_53) + 8d0*coupl(&
                       nGC_1)*coupl(nGC_2)*coupl(nGC_53) - coupl(nGC_176)*coupl&
                       (nGC_34)*coupl(nGC_53) - coupl(nGC_180)*coupl(nGC_23)*  &
                       coupl(nGC_56) - coupl(nGC_2)*coupl(nGC_4)*coupl(nGC_53  &
                       ) - coupl(nGC_20)*coupl(nGC_23)*coupl(nGC_55) + 8d0*    &
                       coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_53) - coupl(nGC_39&
                       )*coupl(nGC_40)*coupl(nGC_53) - coupl(nGC_55)*coupl(    &
                       nGC_77)*coupl(nGC_79) - coupl(nGC_56)*coupl(nGC_77)*    &
                       coupl(nGC_78))/(32d0*pi**2d0)
      coupl(nGC_534) = (2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53) - &
                       2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_53) -  &
                       2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_53) +  &
                       2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_57) -  &
                       2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_57) -  &
                       2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_57) +  &
                       2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_61) -  &
                       2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_61) -  &
                       2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_61) +  &
                       2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_73) -  &
                       2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_73) -  &
                       2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_73) +  &
                       2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_77) -  &
                       2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_77) -  &
                       2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_77) +  &
                       2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_85) -  &
                       2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85) -  &
                       2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_85) +  &
                       2d0*cME*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_65) - 2d0*&
                       cME*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_65) - 2d0*cME*&
                       coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65) + 2d0*cMM*    &
                       coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_69) - 2d0*cMM*    &
                       coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_69) - 2d0*cMM*    &
                       coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_69) + 2d0*cMTA*   &
                       coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_81) - 2d0*cMTA*   &
                       coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_81) - 2d0*cMTA*   &
                       coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_81) + 4d0*cima*   &
                       coupl(nGC_168)*coupl(nGC_51) + 4d0*cima*coupl(nGC_19)*  &
                       coupl(nGC_47) - coupl(nGC_160)*coupl(nGC_164)*coupl(    &
                       nGC_47) - coupl(nGC_162)*coupl(nGC_176)*coupl(nGC_47) + &
                       6d0*coupl(nGC_162)*coupl(nGC_25)*coupl(nGC_47) + 6d0*   &
                       coupl(nGC_164)*coupl(nGC_25)*coupl(nGC_51) - coupl(     &
                       nGC_174)*coupl(nGC_25)*coupl(nGC_52) - coupl(nGC_20)*   &
                       coupl(nGC_25)*coupl(nGC_50))/(32d0*pi**2d0)
      coupl(nGC_537) = (-coupl(nGC_1)*coupl(nGC_160)*coupl(nGC_77) + 8d0*coupl(&
                       nGC_1)*coupl(nGC_2)*coupl(nGC_77) - coupl(nGC_174)*coupl&
                       (nGC_23)*coupl(nGC_79) - coupl(nGC_176)*coupl(nGC_38)*  &
                       coupl(nGC_77) - coupl(nGC_2)*coupl(nGC_4)*coupl(nGC_77  &
                       ) - coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_80) + 8d0*    &
                       coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_77) - coupl(nGC_35&
                       )*coupl(nGC_40)*coupl(nGC_77) - coupl(nGC_53)*coupl(    &
                       nGC_54)*coupl(nGC_80) - coupl(nGC_53)*coupl(nGC_55)*    &
                       coupl(nGC_79))/(32d0*pi**2d0)
      coupl(nGC_692) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_53)*  &
                       coupl(nGC_55) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*&
                       coupl(nGC_57)*coupl(nGC_59) + 4d0*Nc*cima*coupl(nGC_1)* &
                       coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_63) + 4d0*Nc*cima*&
                       coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_73)*coupl(nGC_75   &
                       ) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_77&
                       )*coupl(nGC_79) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23&
                       )*coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_2&
                       )*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_55) + 4d0*Nc*   &
                       cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_57)*coupl(    &
                       nGC_59) - 16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(&
                       nGC_61)*coupl(nGC_63) - 16d0*Nc*cima*coupl(nGC_2)*coupl(&
                       nGC_23)*coupl(nGC_73)*coupl(nGC_75) + 4d0*Nc*cima*coupl(&
                       nGC_2)*coupl(nGC_23)*coupl(nGC_77)*coupl(nGC_79) + 4d0* &
                       Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_85)*coupl( &
                       nGC_87) + 4d0*cima*coupl(nGC_160)*coupl(nGC_166)*coupl( &
                       nGC_174)**2d0 + 4d0*cima*coupl(nGC_160)*coupl(nGC_166)* &
                       coupl(nGC_22)**2d0 + 9d0*cima*coupl(nGC_162)*coupl(     &
                       nGC_180)*coupl(nGC_3)*coupl(nGC_37) + 9d0*cima*coupl(   &
                       nGC_164)*coupl(nGC_20)*coupl(nGC_25)*coupl(nGC_40) + 9d0&
                       *cima*coupl(nGC_164)*coupl(nGC_20)*coupl(nGC_3)*coupl(  &
                       nGC_4) + 24d0*cima*coupl(nGC_168)*coupl(nGC_8) + 4d0*   &
                       cima*coupl(nGC_176)*coupl(nGC_180)*coupl(nGC_184)*coupl(&
                       nGC_4) + 4d0*cima*coupl(nGC_23)*coupl(nGC_4)*coupl(     &
                       nGC_65)*coupl(nGC_67) + 4d0*cima*coupl(nGC_23)*coupl(   &
                       nGC_4)*coupl(nGC_69)*coupl(nGC_71) + 4d0*cima*coupl(    &
                       nGC_23)*coupl(nGC_4)*coupl(nGC_81)*coupl(nGC_83) + 24d0*&
                       cima*coupl(nGC_27)*coupl(nGC_5) - 6d0*coupl(nGC_160)*   &
                       coupl(nGC_164)*coupl(nGC_27) - 6d0*coupl(nGC_162)*coupl(&
                       nGC_176)*coupl(nGC_27) - 6d0*coupl(nGC_162)*coupl(nGC_26&
                       )*coupl(nGC_37) + 36d0*coupl(nGC_162)*coupl(nGC_3)*coupl&
                       (nGC_8) - 6d0*coupl(nGC_164)*coupl(nGC_17)*coupl(nGC_20 &
                       ) + 36d0*coupl(nGC_164)*coupl(nGC_27)*coupl(nGC_3) + 6d0&
                       *coupl(nGC_166)*coupl(nGC_174)*coupl(nGC_27) + 6d0*coupl&
                       (nGC_166)*coupl(nGC_22)*coupl(nGC_26) - 6d0*coupl(      &
                       nGC_168)*coupl(nGC_180)*coupl(nGC_37) - 6d0*coupl(      &
                       nGC_168)*coupl(nGC_20)*coupl(nGC_40) - 6d0*coupl(nGC_17 &
                       )*coupl(nGC_20)*coupl(nGC_3) + 6d0*coupl(nGC_176)*coupl(&
                       nGC_184)*coupl(nGC_26) - 6d0*coupl(nGC_20)*coupl(nGC_25 &
                       )*coupl(nGC_42) - 6d0*coupl(nGC_20)*coupl(nGC_3)*coupl( &
                       nGC_6) - 6d0*coupl(nGC_20)*coupl(nGC_4)*coupl(nGC_5))/( &
                       192d0*pi**2d0)
      coupl(nGC_518) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_4 &
                       )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_40)**2d0 + coupl(   &
                       nGC_4)*coupl(nGC_70)*coupl(nGC_72) + coupl(nGC_4)*coupl(&
                       nGC_71)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1121) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_624) = coupl(nGC_23)*(coupl(nGC_1)*coupl(nGC_164) + coupl(nGC_1&
                       )*coupl(nGC_2) + coupl(nGC_162)*coupl(nGC_38) + coupl(  &
                       nGC_2)*coupl(nGC_3) + coupl(nGC_25)*coupl(nGC_39) +     &
                       coupl(nGC_38)*coupl(nGC_39))/(8d0*pi**2d0)
      coupl(nGC_1168) = coupl(nGC_MI)*dZbR_QCD2
      coupl(nGC_1169) = coupl(nGC_892) + coupl(nGC_MB)*dZbL_QED2/2d0 + coupl(  &
                        nGC_MB)*dZbR_QED2/2d0
      coupl(nGC_621) = (-coupl(nGC_184)*coupl(nGC_35)*coupl(nGC_88) + 8d0*coupl&
                       (nGC_2)**2d0*coupl(nGC_87) - coupl(nGC_21)*coupl(nGC_23 &
                       )*coupl(nGC_85) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(&
                       nGC_87) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_88) -   &
                       coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_85) - coupl(nGC_87&
                       )**3d0 - coupl(nGC_87)*coupl(nGC_88)**2d0)/(32d0*pi**2d0&
                       )
      coupl(nGC_620) = (-coupl(nGC_174)*coupl(nGC_23)*coupl(nGC_85) - coupl(   &
                       nGC_184)*coupl(nGC_39)*coupl(nGC_86) + 8d0*coupl(nGC_2  &
                       )**2d0*coupl(nGC_87) - coupl(nGC_35)*coupl(nGC_37)*coupl&
                       (nGC_86) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_87 &
                       ) - coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_85) - coupl(  &
                       nGC_86)**2d0*coupl(nGC_87) - coupl(nGC_87)**3d0)/(32d0* &
                       pi**2d0)
      coupl(nGC_623) = (12d0*Nc*coupl(nGC_23)**2d0*coupl(nGC_38) - 12d0*Nc*    &
                       coupl(nGC_23)**2d0*coupl(nGC_39) - 11d0*coupl(nGC_162)**&
                       2d0*coupl(nGC_25) - 11d0*coupl(nGC_164)**2d0*coupl(     &
                       nGC_25) + 12d0*coupl(nGC_23)**2d0*coupl(nGC_40) - 12d0* &
                       coupl(nGC_23)**2d0*coupl(nGC_41))/(96d0*pi**2d0)
      coupl(nGC_742) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_34)**2d0 +  &
                       coupl(nGC_35)**2d0 + coupl(nGC_38)**2d0 + coupl(nGC_39  &
                       )**2d0)/(32d0*pi**2d0)
      coupl(nGC_743) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_34)**2d0 - &
                       coupl(nGC_35)**2d0 - coupl(nGC_38)**2d0 - coupl(nGC_39  &
                       )**2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_1161) = coupl(nGC_52)*dZH_QED2/2d0 + coupl(nGC_52)*dZZ_QED2 +  &
                        coupl(nGC_805)
      coupl(nGC_629) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_162&
                       )*coupl(nGC_23)**2d0 + 4d0*coupl(nGC_23)**2d0*coupl(    &
                       nGC_39) + coupl(nGC_34)*coupl(nGC_54)*coupl(nGC_56) +   &
                       coupl(nGC_34)*coupl(nGC_55)**2d0 + coupl(nGC_35)*coupl( &
                       nGC_77)**2d0 + 4d0*coupl(nGC_38)**3d0)/(32d0*pi**2d0)
      coupl(nGC_628) = coupl(nGC_23)*(-coupl(nGC_162)*coupl(nGC_41) - coupl(   &
                       nGC_25)*coupl(nGC_40) - coupl(nGC_3)*coupl(nGC_4) +     &
                       coupl(nGC_40)*coupl(nGC_41))/(8d0*pi**2d0)
      coupl(nGC_1164) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_11)*dZuR_QCD2 + &
                        coupl(nGC_808)
      coupl(nGC_1165) = coupl(nGC_11)*dZuR_QED2
      coupl(nGC_727) = (-4d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)**2d0 +   &
                       12d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)*coupl(    &
                       nGC_39) - 4d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_39)**&
                       2d0 - 8d0*cima*coupl(nGC_162)**2d0*coupl(nGC_25)**2d0 - &
                       8d0*cima*coupl(nGC_164)**2d0*coupl(nGC_25)**2d0 + 4d0*  &
                       cima*coupl(nGC_168)**2d0 + 4d0*cima*coupl(nGC_19)**2d0  &
                        - 4d0*cima*coupl(nGC_23)**2d0*coupl(nGC_40)**2d0 + 12d0&
                       *cima*coupl(nGC_23)**2d0*coupl(nGC_40)*coupl(nGC_41) -  &
                       4d0*cima*coupl(nGC_23)**2d0*coupl(nGC_41)**2d0 + coupl( &
                       nGC_162)**2d0*coupl(nGC_18) + coupl(nGC_162)**2d0*coupl(&
                       nGC_19) + 2d0*coupl(nGC_162)*coupl(nGC_172)*coupl(nGC_25&
                       ) + 12d0*coupl(nGC_162)*coupl(nGC_19)*coupl(nGC_25) +   &
                       coupl(nGC_164)**2d0*coupl(nGC_19) + 12d0*coupl(nGC_164)*&
                       coupl(nGC_168)*coupl(nGC_25) + 2d0*coupl(nGC_164)*coupl(&
                       nGC_25)*coupl(nGC_29) + coupl(nGC_182)*coupl(nGC_25)**  &
                       2d0)/(32d0*pi**2d0)
      coupl(nGC_588) = (coupl(nGC_184)*coupl(nGC_36)*coupl(nGC_83) + coupl(    &
                       nGC_22)*coupl(nGC_23)*coupl(nGC_81) + 8d0*coupl(nGC_36)*&
                       coupl(nGC_40)*coupl(nGC_82) + coupl(nGC_37)*coupl(nGC_40&
                       )*coupl(nGC_83) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_82) - &
                       coupl(nGC_82)**2d0*coupl(nGC_84) - coupl(nGC_83)**2d0*  &
                       coupl(nGC_84))/(32d0*pi**2d0)
      coupl(nGC_1119) = coupl(nGC_891) + coupl(nGC_MS)*dZsL_QCD2/2d0 + coupl(  &
                        nGC_MS)*dZsR_QCD2/2d0
      coupl(nGC_1118) = coupl(nGC_890) + coupl(nGC_MS)*dZsL_QED2/2d0 + coupl(  &
                        nGC_MS)*dZsR_QED2/2d0
      coupl(nGC_1117) = coupl(nGC_MI)*dZsR_QCD2
      coupl(nGC_1116) = coupl(nGC_MI)*dZsR_QED2
      coupl(nGC_1113) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*       &
                        dZdL_QED2/2d0 + coupl(nGC_23)*dZuL_QED2/2d0 + coupl(   &
                        nGC_809)
      coupl(nGC_1112) = coupl(nGC_25)*dZZA_QED2/2d0 + coupl(nGC_3)*dZA_QED2/2d0&
                         + coupl(nGC_3)*dZWMinus_QED2 + coupl(nGC_766)
      coupl(nGC_1111) = coupl(nGC_36)*dZZA_QED2/2d0 + coupl(nGC_4)*dZA_QED2/2d0&
                         + coupl(nGC_4)*dZmuMinusR_QED2 + coupl(nGC_772)
      coupl(nGC_1110) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*              &
                        dZmuMinusL_QED2 + coupl(nGC_40)*dZZA_QED2/2d0 + coupl( &
                        nGC_772)
      coupl(nGC_1082) = coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(nGC_40)*dZZ_QED2/2d0&
                         + coupl(nGC_40)*dZeMinusL_QED2 + coupl(nGC_798)
      coupl(nGC_813) = coupl(nGC_327)*dZee_QED2 + coupl(nGC_328)*dsw_QED2 +    &
                       coupl(nGC_329)*dcw_QED2
      coupl(nGC_959) = coupl(nGC_886) + coupl(nGC_MT)*dZtL_QED2/2d0 + coupl(   &
                       nGC_MT)*dZtR_QED2/2d0
      coupl(nGC_958) = coupl(nGC_MI)*dZtR_QCD2
      coupl(nGC_721) = (-32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_55)**2d0 -  &
                       32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_59)**2d0 -    &
                       32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_63)**2d0 -    &
                       32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_75)**2d0 -    &
                       32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_79)**2d0 -    &
                       32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_87)**2d0 + 9d0&
                       *cima*coupl(nGC_162)**2d0*coupl(nGC_174)*coupl(nGC_21   &
                       ) + 9d0*cima*coupl(nGC_162)**2d0*coupl(nGC_184)*coupl(  &
                       nGC_37) + 9d0*cima*coupl(nGC_164)**2d0*coupl(nGC_174)*  &
                       coupl(nGC_21) + 8d0*cima*coupl(nGC_166)*coupl(nGC_174)* &
                       coupl(nGC_20)*coupl(nGC_21) + 4d0*cima*coupl(nGC_166)*  &
                       coupl(nGC_180)*coupl(nGC_20)*coupl(nGC_22) + 9d0*cima*  &
                       coupl(nGC_166)*coupl(nGC_20)*coupl(nGC_25)**2d0 + 9d0*  &
                       cima*coupl(nGC_166)*coupl(nGC_20)*coupl(nGC_3)**2d0 +   &
                       24d0*cima*coupl(nGC_17)*coupl(nGC_18) + 12d0*cima*coupl(&
                       nGC_172)*coupl(nGC_46) + 4d0*cima*coupl(nGC_174)*coupl( &
                       nGC_180)*coupl(nGC_21)*coupl(nGC_22) + 8d0*cima*coupl(  &
                       nGC_180)*coupl(nGC_184)*coupl(nGC_22)*coupl(nGC_37) +   &
                       9d0*cima*coupl(nGC_184)*coupl(nGC_25)**2d0*coupl(nGC_37 &
                       ) - 32d0*cima*coupl(nGC_23)**2d0*coupl(nGC_67)**2d0 -   &
                       32d0*cima*coupl(nGC_23)**2d0*coupl(nGC_71)**2d0 - 32d0* &
                       cima*coupl(nGC_23)**2d0*coupl(nGC_83)**2d0 + 36d0*coupl(&
                       nGC_162)**2d0*coupl(nGC_17) - 6d0*coupl(nGC_162)*coupl( &
                       nGC_174)*coupl(nGC_8) - 6d0*coupl(nGC_162)*coupl(nGC_21 &
                       )*coupl(nGC_8) + 36d0*coupl(nGC_164)**2d0*coupl(nGC_17  &
                       ) - 6d0*coupl(nGC_164)*coupl(nGC_174)*coupl(nGC_27) -   &
                       6d0*coupl(nGC_164)*coupl(nGC_21)*coupl(nGC_27) + 6d0*   &
                       coupl(nGC_166)*coupl(nGC_17)*coupl(nGC_20) - 6d0*coupl( &
                       nGC_166)*coupl(nGC_18)*coupl(nGC_20) - 6d0*coupl(nGC_166&
                       )*coupl(nGC_25)*coupl(nGC_8) - 6d0*coupl(nGC_166)*coupl(&
                       nGC_27)*coupl(nGC_3) + 6d0*coupl(nGC_17)*coupl(nGC_174)*&
                       coupl(nGC_21) + 6d0*coupl(nGC_17)*coupl(nGC_184)*coupl( &
                       nGC_37) - 6d0*coupl(nGC_172)*coupl(nGC_184)*coupl(nGC_37&
                       ) - 6d0*coupl(nGC_174)*coupl(nGC_18)*coupl(nGC_21) - 6d0&
                       *coupl(nGC_20)*coupl(nGC_25)*coupl(nGC_8) - 6d0*coupl(  &
                       nGC_20)*coupl(nGC_27)*coupl(nGC_3) + 36d0*coupl(nGC_25  &
                       )**2d0*coupl(nGC_46))/(192d0*pi**2d0)
      coupl(nGC_953) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_952) = coupl(nGC_MI)*dZcL_QED2
      coupl(nGC_951) = coupl(nGC_885) + coupl(nGC_MC)*dZcL_QCD2/2d0 + coupl(   &
                       nGC_MC)*dZcR_QCD2/2d0
      coupl(nGC_950) = coupl(nGC_884) + coupl(nGC_MC)*dZcL_QED2/2d0 + coupl(   &
                       nGC_MC)*dZcR_QED2/2d0
      coupl(nGC_957) = coupl(nGC_MI)*dZtR_QED2
      coupl(nGC_956) = -coupl(nGC_25)*dZWMinus_QED2/2d0 - coupl(nGC_768)
      coupl(nGC_955) = -coupl(nGC_25)*dZZ_QED2/2d0 - coupl(nGC_3)*dZAZ_QED2/2d0&
                        - coupl(nGC_768)
      coupl(nGC_954) = coupl(nGC_44)*dZH_QED2/2d0 + coupl(nGC_780)
      coupl(nGC_1143) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZuR_QED2 +   &
                        coupl(nGC_35)*dZZA_QED2/2d0 + coupl(nGC_806)
      coupl(nGC_724) = (-32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_55)**2d0 -  &
                       32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_63)**2d0 -    &
                       32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_75)**2d0 +    &
                       40d0*Nc*cima*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_55)**&
                       2d0 + 40d0*Nc*cima*coupl(nGC_34)*coupl(nGC_38)*coupl(   &
                       nGC_63)**2d0 + 40d0*Nc*cima*coupl(nGC_34)*coupl(nGC_38)*&
                       coupl(nGC_75)**2d0 - 32d0*Nc*cima*coupl(nGC_35)**2d0*   &
                       coupl(nGC_59)**2d0 - 32d0*Nc*cima*coupl(nGC_35)**2d0*   &
                       coupl(nGC_79)**2d0 - 32d0*Nc*cima*coupl(nGC_35)**2d0*   &
                       coupl(nGC_87)**2d0 + 40d0*Nc*cima*coupl(nGC_35)*coupl(  &
                       nGC_39)*coupl(nGC_59)**2d0 + 40d0*Nc*cima*coupl(nGC_35)*&
                       coupl(nGC_39)*coupl(nGC_79)**2d0 + 40d0*Nc*cima*coupl(  &
                       nGC_35)*coupl(nGC_39)*coupl(nGC_87)**2d0 - 32d0*Nc*cima*&
                       coupl(nGC_38)**2d0*coupl(nGC_55)**2d0 - 32d0*Nc*cima*   &
                       coupl(nGC_38)**2d0*coupl(nGC_63)**2d0 - 32d0*Nc*cima*   &
                       coupl(nGC_38)**2d0*coupl(nGC_75)**2d0 - 32d0*Nc*cima*   &
                       coupl(nGC_39)**2d0*coupl(nGC_59)**2d0 - 32d0*Nc*cima*   &
                       coupl(nGC_39)**2d0*coupl(nGC_79)**2d0 - 32d0*Nc*cima*   &
                       coupl(nGC_39)**2d0*coupl(nGC_87)**2d0 + 9d0*cima*coupl( &
                       nGC_162)**2d0*coupl(nGC_166)*coupl(nGC_20) + 4d0*cima*  &
                       coupl(nGC_166)*coupl(nGC_176)**2d0*coupl(nGC_20) + 12d0*&
                       cima*coupl(nGC_17)*coupl(nGC_172) + 9d0*cima*coupl(     &
                       nGC_174)*coupl(nGC_21)*coupl(nGC_25)**2d0 + 4d0*cima*   &
                       coupl(nGC_174)*coupl(nGC_21)*coupl(nGC_40)**2d0 + 4d0*  &
                       cima*coupl(nGC_184)**2d0*coupl(nGC_37)**2d0 - 32d0*cima*&
                       coupl(nGC_36)**2d0*coupl(nGC_67)**2d0 - 32d0*cima*coupl(&
                       nGC_36)**2d0*coupl(nGC_71)**2d0 - 32d0*cima*coupl(nGC_36&
                       )**2d0*coupl(nGC_83)**2d0 + 40d0*cima*coupl(nGC_36)*    &
                       coupl(nGC_40)*coupl(nGC_67)**2d0 + 40d0*cima*coupl(     &
                       nGC_36)*coupl(nGC_40)*coupl(nGC_71)**2d0 + 40d0*cima*   &
                       coupl(nGC_36)*coupl(nGC_40)*coupl(nGC_83)**2d0 - 32d0*  &
                       cima*coupl(nGC_40)**2d0*coupl(nGC_67)**2d0 - 32d0*cima* &
                       coupl(nGC_40)**2d0*coupl(nGC_71)**2d0 - 32d0*cima*coupl(&
                       nGC_40)**2d0*coupl(nGC_83)**2d0 + 18d0*coupl(nGC_162)** &
                       2d0*coupl(nGC_17) - 6d0*coupl(nGC_162)*coupl(nGC_166)*  &
                       coupl(nGC_8) - 6d0*coupl(nGC_162)*coupl(nGC_20)*coupl(  &
                       nGC_8) - 3d0*coupl(nGC_166)*coupl(nGC_172)*coupl(nGC_20 &
                       ) + 3d0*coupl(nGC_166)*coupl(nGC_20)*coupl(nGC_45) +    &
                       18d0*coupl(nGC_17)*coupl(nGC_25)**2d0 - 3d0*coupl(      &
                       nGC_172)*coupl(nGC_174)*coupl(nGC_21) + 3d0*coupl(      &
                       nGC_174)*coupl(nGC_21)*coupl(nGC_45) - 6d0*coupl(nGC_174&
                       )*coupl(nGC_25)*coupl(nGC_8) + 3d0*coupl(nGC_184)*coupl(&
                       nGC_37)*coupl(nGC_46) - 6d0*coupl(nGC_21)*coupl(nGC_25)*&
                       coupl(nGC_8))/(96d0*pi**2d0)
      coupl(nGC_725) = (-4d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)**2d0 +   &
                       12d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)*coupl(    &
                       nGC_39) - 4d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_39)**&
                       2d0 - 8d0*cima*coupl(nGC_162)**2d0*coupl(nGC_25)**2d0 - &
                       8d0*cima*coupl(nGC_164)**2d0*coupl(nGC_25)**2d0 + 4d0*  &
                       cima*coupl(nGC_168)**2d0 + 4d0*cima*coupl(nGC_19)**2d0  &
                        - 4d0*cima*coupl(nGC_23)**2d0*coupl(nGC_40)**2d0 + 12d0&
                       *cima*coupl(nGC_23)**2d0*coupl(nGC_40)*coupl(nGC_41) -  &
                       4d0*cima*coupl(nGC_23)**2d0*coupl(nGC_41)**2d0 + coupl( &
                       nGC_162)**2d0*coupl(nGC_182) + coupl(nGC_162)**2d0*coupl&
                       (nGC_19) + 2d0*coupl(nGC_162)*coupl(nGC_172)*coupl(     &
                       nGC_25) + 12d0*coupl(nGC_162)*coupl(nGC_19)*coupl(nGC_25&
                       ) + coupl(nGC_164)**2d0*coupl(nGC_19) + 12d0*coupl(     &
                       nGC_164)*coupl(nGC_168)*coupl(nGC_25) + 2d0*coupl(      &
                       nGC_164)*coupl(nGC_25)*coupl(nGC_29) + coupl(nGC_18)*   &
                       coupl(nGC_25)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1184) = coupl(nGC_63)*dZH_QED2/2d0 + coupl(nGC_63)*dZdL_QED2/  &
                        2d0 + coupl(nGC_63)*dZdR_QED2/2d0 + coupl(nGC_840)
      coupl(nGC_1185) = coupl(nGC_63)*dZdL_QCD2/2d0 + coupl(nGC_63)*dZdR_QCD2/ &
                        2d0 + coupl(nGC_841)
      coupl(nGC_1029) = coupl(nGC_61)*dZdR_QCD2/2d0 + coupl(nGC_61)*dZuL_QCD2/ &
                        2d0 + coupl(nGC_817)
      coupl(nGC_1028) = coupl(nGC_61)*dZdR_QED2/2d0 + coupl(nGC_61)*dZuL_QED2/ &
                        2d0 + coupl(nGC_816)
      coupl(nGC_1180) = -coupl(nGC_37)*dZH_QED2/2d0 - coupl(nGC_37)*dZZ_QED2/  &
                        2d0 - coupl(nGC_797)
      coupl(nGC_1181) = coupl(nGC_79)*dZH_QED2/2d0 + coupl(nGC_79)*dZtL_QED2/  &
                        2d0 + coupl(nGC_79)*dZtR_QED2/2d0 + coupl(nGC_874)
      coupl(nGC_1182) = coupl(nGC_79)*dZtL_QCD2/2d0 + coupl(nGC_79)*dZtR_QCD2/ &
                        2d0 + coupl(nGC_875)
      coupl(nGC_1183) = coupl(nGC_37)*dZH_QED2/2d0 + coupl(nGC_37)*dZZ_QED2/2d0&
                         + coupl(nGC_797)
      coupl(nGC_1022) = coupl(nGC_11)*dZcL_QCD2 + coupl(nGC_11)*dZg_QCD2/2d0 + &
                        coupl(nGC_808)
      coupl(nGC_1020) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*       &
                        dZcL_QED2/2d0 + coupl(nGC_23)*dZsL_QED2/2d0 + coupl(   &
                        nGC_809)
      coupl(nGC_1027) = coupl(nGC_819) + coupl(nGC_85)*dZdL_QCD2/2d0 + coupl(  &
                        nGC_85)*dZuR_QCD2/2d0
      coupl(nGC_1026) = coupl(nGC_818) + coupl(nGC_85)*dZdL_QED2/2d0 + coupl(  &
                        nGC_85)*dZuR_QED2/2d0
      coupl(nGC_1024) = coupl(nGC_11)*dZcR_QCD2 + coupl(nGC_11)*dZg_QCD2/2d0 + &
                        coupl(nGC_808)
      coupl(nGC_928) = coupl(nGC_861) + coupl(nGC_88)*dZuL_QCD2/2d0 + coupl(   &
                       nGC_88)*dZuR_QCD2/2d0
      coupl(nGC_929) = coupl(nGC_858) + coupl(nGC_86)*dZuL_QED2/2d0 + coupl(   &
                       nGC_86)*dZuR_QED2/2d0
      coupl(nGC_926) = -coupl(nGC_3)*dZWMinus_QED2/2d0 - coupl(nGC_766)
      coupl(nGC_927) = coupl(nGC_860) + coupl(nGC_88)*dZuL_QED2/2d0 + coupl(   &
                       nGC_88)*dZuR_QED2/2d0
      coupl(nGC_924) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*dZeMinusL_QED2 &
                        + coupl(nGC_40)*dZZA_QED2/2d0 + coupl(nGC_772)
      coupl(nGC_925) = coupl(nGC_36)*dZZA_QED2/2d0 + coupl(nGC_4)*dZA_QED2/2d0 &
                        + coupl(nGC_4)*dZeMinusR_QED2 + coupl(nGC_772)
      coupl(nGC_922) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_34)*dZZ_QED2/2d0 &
                        + coupl(nGC_34)*dZsR_QED2 + coupl(nGC_813)
      coupl(nGC_923) = coupl(nGC_34)*dZsR_QCD2
      coupl(nGC_920) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_38)*dZZ_QED2/2d0 &
                        + coupl(nGC_38)*dZsL_QED2 + coupl(nGC_812)
      coupl(nGC_921) = coupl(nGC_38)*dZsL_QCD2
      coupl(nGC_668) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(  &
                       nGC_23)**2d0 - 4d0*coupl(nGC_38)**2d0 - coupl(nGC_57)** &
                       2d0 - coupl(nGC_74)*coupl(nGC_76) - coupl(nGC_75)**2d0  &
                       )/(64d0*pi**2d0*Nc)
      coupl(nGC_543) = (-coupl(nGC_1)*coupl(nGC_160)*coupl(nGC_61) + 8d0*coupl(&
                       nGC_1)*coupl(nGC_2)*coupl(nGC_61) - coupl(nGC_176)*coupl&
                       (nGC_34)*coupl(nGC_61) - coupl(nGC_180)*coupl(nGC_23)*  &
                       coupl(nGC_64) - coupl(nGC_2)*coupl(nGC_4)*coupl(nGC_61  &
                       ) - coupl(nGC_20)*coupl(nGC_23)*coupl(nGC_63) + 8d0*    &
                       coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_61) - coupl(nGC_39&
                       )*coupl(nGC_40)*coupl(nGC_61) - coupl(nGC_63)*coupl(    &
                       nGC_85)*coupl(nGC_87) - coupl(nGC_64)*coupl(nGC_85)*    &
                       coupl(nGC_86))/(32d0*pi**2d0)
      coupl(nGC_544) = coupl(nGC_11)**2d0*coupl(nGC_61)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_732) = (-30d0*Nc*cima*coupl(nGC_23)**4d0 - 4d0*cima*coupl(     &
                       nGC_162)**4d0 - 8d0*cima*coupl(nGC_162)**2d0*coupl(     &
                       nGC_164)**2d0 - 16d0*cima*coupl(nGC_162)**2d0*coupl(    &
                       nGC_25)**2d0 - 32d0*cima*coupl(nGC_162)*coupl(nGC_164)* &
                       coupl(nGC_25)*coupl(nGC_3) - 4d0*cima*coupl(nGC_164)**  &
                       4d0 - 16d0*cima*coupl(nGC_164)**2d0*coupl(nGC_3)**2d0 + &
                       3d0*cima*coupl(nGC_182)**2d0 - 30d0*cima*coupl(nGC_23)**&
                       4d0 - 4d0*cima*coupl(nGC_25)**4d0 - 8d0*cima*coupl(     &
                       nGC_25)**2d0*coupl(nGC_3)**2d0 - 4d0*cima*coupl(nGC_3)**&
                       4d0 + 3d0*coupl(nGC_162)**2d0*coupl(nGC_182) + 3d0*coupl&
                       (nGC_162)**2d0*coupl(nGC_19) + 6d0*coupl(nGC_162)*coupl(&
                       nGC_164)*coupl(nGC_168) + 18d0*coupl(nGC_162)*coupl(    &
                       nGC_182)*coupl(nGC_25) + 3d0*coupl(nGC_164)**2d0*coupl( &
                       nGC_182) + 3d0*coupl(nGC_164)**2d0*coupl(nGC_5) + 18d0* &
                       coupl(nGC_164)*coupl(nGC_182)*coupl(nGC_3) + 6d0*coupl( &
                       nGC_168)*coupl(nGC_25)*coupl(nGC_3) + 3d0*coupl(nGC_182 &
                       )*coupl(nGC_25)**2d0 + 3d0*coupl(nGC_182)*coupl(nGC_3)**&
                       2d0 + 3d0*coupl(nGC_19)*coupl(nGC_25)**2d0 + 3d0*coupl( &
                       nGC_3)**2d0*coupl(nGC_5))/(48d0*pi**2d0)
      coupl(nGC_547) = (-coupl(nGC_160)*coupl(nGC_4)*coupl(nGC_65) - coupl(    &
                       nGC_176)*coupl(nGC_36)*coupl(nGC_65) - coupl(nGC_180)*  &
                       coupl(nGC_23)*coupl(nGC_68) - coupl(nGC_20)*coupl(nGC_23&
                       )*coupl(nGC_67) + 8d0*coupl(nGC_36)*coupl(nGC_41)*coupl(&
                       nGC_65) - coupl(nGC_40)*coupl(nGC_41)*coupl(nGC_65))/(  &
                       32d0*pi**2d0)
      coupl(nGC_548) = (-coupl(nGC_160)*coupl(nGC_4)*coupl(nGC_69) - coupl(    &
                       nGC_176)*coupl(nGC_36)*coupl(nGC_69) - coupl(nGC_180)*  &
                       coupl(nGC_23)*coupl(nGC_72) - coupl(nGC_20)*coupl(nGC_23&
                       )*coupl(nGC_71) + 8d0*coupl(nGC_36)*coupl(nGC_41)*coupl(&
                       nGC_69) - coupl(nGC_40)*coupl(nGC_41)*coupl(nGC_69))/(  &
                       32d0*pi**2d0)
      coupl(nGC_660) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(  &
                       nGC_23)**2d0 + 4d0*coupl(nGC_39)**2d0 + coupl(nGC_58)*  &
                       coupl(nGC_60) + coupl(nGC_59)**2d0 + coupl(nGC_73)**2d0 &
                       )/(64d0*pi**2d0*Nc)
      coupl(nGC_663) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl( &
                       nGC_35)**2d0 - coupl(nGC_57)**2d0 - coupl(nGC_58)*coupl(&
                       nGC_60) - coupl(nGC_59)**2d0)/(64d0*pi**2d0)
      coupl(nGC_662) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl( &
                       nGC_23)**2d0 - 4d0*coupl(nGC_39)**2d0 - coupl(nGC_58)*  &
                       coupl(nGC_60) - coupl(nGC_59)**2d0 - coupl(nGC_73)**2d0 &
                       )/(64d0*pi**2d0)
      coupl(nGC_665) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                       nGC_34)**2d0 + coupl(nGC_61)**2d0 + coupl(nGC_62)*coupl(&
                       nGC_64) + coupl(nGC_63)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_664) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                       nGC_23)**2d0 + 4d0*coupl(nGC_38)**2d0 + coupl(nGC_62)*  &
                       coupl(nGC_64) + coupl(nGC_63)**2d0 + coupl(nGC_85)**2d0 &
                       )/(64d0*pi**2d0*Nc)
      coupl(nGC_667) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                       nGC_34)**2d0 - coupl(nGC_61)**2d0 - coupl(nGC_62)*coupl(&
                       nGC_64) - coupl(nGC_63)**2d0)/(64d0*pi**2d0)
      coupl(nGC_666) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                       nGC_23)**2d0 - 4d0*coupl(nGC_38)**2d0 - coupl(nGC_62)*  &
                       coupl(nGC_64) - coupl(nGC_63)**2d0 - coupl(nGC_85)**2d0 &
                       )/(64d0*pi**2d0)
      coupl(nGC_719) = (20d0*Nc*cima*coupl(nGC_54)**2d0*coupl(nGC_56)**2d0 +   &
                       20d0*Nc*cima*coupl(nGC_58)**2d0*coupl(nGC_60)**2d0 +    &
                       20d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_64)**2d0 +    &
                       20d0*Nc*cima*coupl(nGC_74)**2d0*coupl(nGC_76)**2d0 +    &
                       20d0*Nc*cima*coupl(nGC_78)**2d0*coupl(nGC_80)**2d0 +    &
                       20d0*Nc*cima*coupl(nGC_86)**2d0*coupl(nGC_88)**2d0 + 6d0&
                       *cima*coupl(nGC_17)**2d0 - 10d0*cima*coupl(nGC_180)**2d0&
                       *coupl(nGC_22)**2d0 - 5d0*cima*coupl(nGC_184)**2d0*coupl&
                       (nGC_37)**2d0 + 3d0*cima*coupl(nGC_46)**2d0 + 20d0*cima*&
                       coupl(nGC_66)**2d0*coupl(nGC_68)**2d0 + 20d0*cima*coupl(&
                       nGC_70)**2d0*coupl(nGC_72)**2d0 + 20d0*cima*coupl(nGC_82&
                       )**2d0*coupl(nGC_84)**2d0 + 6d0*coupl(nGC_13)*coupl(    &
                       nGC_180)*coupl(nGC_22) + 3d0*coupl(nGC_13)*coupl(nGC_184&
                       )*coupl(nGC_37) - 6d0*coupl(nGC_17)*coupl(nGC_180)*coupl&
                       (nGC_22) - 3d0*coupl(nGC_184)*coupl(nGC_37)*coupl(nGC_46&
                       ))/(16d0*pi**2d0)
      coupl(nGC_751) = (10d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 6d0*Nc*cima*&
                       coupl(nGC_12)*coupl(nGC_190) + 6d0*Nc*cima*coupl(nGC_188&
                       )*coupl(nGC_190) - 9d0*Nc*coupl(nGC_10)**2d0*coupl(     &
                       nGC_12)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*coupl(     &
                       nGC_186)*sq2**2d0 + 9d0*Nc*coupl(nGC_10)**2d0*coupl(    &
                       nGC_188)*sq2**2d0 - 9d0*Nc*coupl(nGC_10)**2d0*coupl(    &
                       nGC_190)*sq2**2d0 - 6d0*cima*coupl(nGC_11)**4d0*sq2**4d0&
                       )/(384d0*pi**2d0*Nc)
      coupl(nGC_750) = (5d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 3d0*Nc*cima* &
                       coupl(nGC_12)*coupl(nGC_190) + 3d0*Nc*cima*coupl(nGC_188&
                       )*coupl(nGC_190) - 6d0*Nc*coupl(nGC_10)**2d0*coupl(     &
                       nGC_12)*sq2**2d0 + 3d0*Nc*coupl(nGC_10)**2d0*coupl(     &
                       nGC_188)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*coupl(    &
                       nGC_190)*sq2**2d0 - 3d0*cima*coupl(nGC_11)**4d0*sq2**4d0&
                       )/(192d0*pi**2d0*Nc)
      coupl(nGC_1153) = -coupl(nGC_25)*dZWMinus_QED2 - coupl(nGC_25)*dZZ_QED2/ &
                        2d0 - coupl(nGC_3)*dZAZ_QED2/2d0 - coupl(nGC_768)
      coupl(nGC_1152) = -coupl(nGC_898) - coupl(nGC_MZ_GF)*dZZ_QED2/2d0
      coupl(nGC_1098) = coupl(nGC_87)*dZuL_QCD2/2d0 + coupl(nGC_87)*dZuR_QCD2/ &
                        2d0 + coupl(nGC_871)
      coupl(nGC_1099) = -coupl(nGC_4)*dZAZ_QED2/2d0 - coupl(nGC_40)*dZZ_QED2/  &
                        2d0 - coupl(nGC_798)
      coupl(nGC_1157) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZsL_QED2 +   &
                        coupl(nGC_38)*dZZA_QED2/2d0 + coupl(nGC_807)
      coupl(nGC_1156) = coupl(nGC_897) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_1155) = -coupl(nGC_MI)*dZA_QED2
      coupl(nGC_1092) = coupl(nGC_80)*dZtL_QED2/2d0 + coupl(nGC_80)*dZtR_QED2/ &
                        2d0 + coupl(nGC_866)
      coupl(nGC_1093) = coupl(nGC_80)*dZtL_QCD2/2d0 + coupl(nGC_80)*dZtR_QCD2/ &
                        2d0 + coupl(nGC_867)
      coupl(nGC_1090) = coupl(nGC_57)*dZcR_QCD2/2d0 + coupl(nGC_57)*dZsL_QCD2/ &
                        2d0 + coupl(nGC_821)
      coupl(nGC_1096) = coupl(nGC_47)*dZZA_QED2/2d0 + coupl(nGC_51)*dZA_QED2/  &
                        2d0 + coupl(nGC_51)*dZWMinus_QED2/2d0 + coupl(nGC_789)
      coupl(nGC_1097) = coupl(nGC_87)*dZH_QED2/2d0 + coupl(nGC_87)*dZuL_QED2/  &
                        2d0 + coupl(nGC_87)*dZuR_QED2/2d0 + coupl(nGC_870)
      coupl(nGC_1094) = coupl(nGC_78)*dZtL_QED2/2d0 + coupl(nGC_78)*dZtR_QED2/ &
                        2d0 + coupl(nGC_868)
      coupl(nGC_1095) = coupl(nGC_78)*dZtL_QCD2/2d0 + coupl(nGC_78)*dZtR_QCD2/ &
                        2d0 + coupl(nGC_869)
      coupl(nGC_1173) = coupl(nGC_MI)*dZtauMinusR_QED2
      coupl(nGC_545) = (-coupl(nGC_1)*coupl(nGC_160)*coupl(nGC_85) + 8d0*coupl(&
                       nGC_1)*coupl(nGC_2)*coupl(nGC_85) - coupl(nGC_174)*coupl&
                       (nGC_23)*coupl(nGC_87) - coupl(nGC_176)*coupl(nGC_38)*  &
                       coupl(nGC_85) - coupl(nGC_2)*coupl(nGC_4)*coupl(nGC_85  &
                       ) - coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_88) + 8d0*    &
                       coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_85) - coupl(nGC_35&
                       )*coupl(nGC_40)*coupl(nGC_85) - coupl(nGC_61)*coupl(    &
                       nGC_62)*coupl(nGC_88) - coupl(nGC_61)*coupl(nGC_63)*    &
                       coupl(nGC_87))/(32d0*pi**2d0)
      coupl(nGC_1172) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_718) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_53)**2d0 +  &
                       coupl(nGC_57)**2d0 + coupl(nGC_61)**2d0 + coupl(nGC_73  &
                       )**2d0 + coupl(nGC_77)**2d0 + coupl(nGC_85)**2d0)/(32d0*&
                       pi**2d0*Nc)
      coupl(nGC_661) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(  &
                       nGC_35)**2d0 + coupl(nGC_57)**2d0 + coupl(nGC_58)*coupl(&
                       nGC_60) + coupl(nGC_59)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_963) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*        &
                       dZmuMinusL_QED2/2d0 + coupl(nGC_23)*dZnu_muL_QED2/2d0 + &
                       coupl(nGC_809)
      coupl(nGC_961) = coupl(nGC_MI)*dZtL_QED2
      coupl(nGC_1076) = coupl(nGC_882) + coupl(nGC_MU)*dZuL_QED2/2d0 + coupl(  &
                        nGC_MU)*dZuR_QED2/2d0
      coupl(nGC_1071) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_35)*dZZ_QED2/2d0&
                         + coupl(nGC_35)*dZuR_QED2 + coupl(nGC_810)
      coupl(nGC_1073) = coupl(nGC_47)*dZWMinus_QED2/2d0 + coupl(nGC_47)*       &
                        dZZ_QED2/2d0 + coupl(nGC_51)*dZAZ_QED2/2d0 + coupl(    &
                        nGC_801)
      coupl(nGC_1078) = coupl(nGC_MI)*dZuL_QED2
      coupl(nGC_1079) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_659) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                       nGC_34)**2d0 - coupl(nGC_53)**2d0 - coupl(nGC_54)*coupl(&
                       nGC_56) - coupl(nGC_55)**2d0)/(64d0*pi**2d0)
      coupl(nGC_716) = (-32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_54)*coupl(  &
                       nGC_56) - 32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_58)*&
                       coupl(nGC_60) - 32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(  &
                       nGC_62)*coupl(nGC_64) - 32d0*Nc*cima*coupl(nGC_23)**2d0*&
                       coupl(nGC_74)*coupl(nGC_76) - 32d0*Nc*cima*coupl(nGC_23 &
                       )**2d0*coupl(nGC_78)*coupl(nGC_80) - 32d0*Nc*cima*coupl(&
                       nGC_23)**2d0*coupl(nGC_86)*coupl(nGC_88) + 9d0*cima*    &
                       coupl(nGC_162)**2d0*coupl(nGC_180)*coupl(nGC_22) + 9d0* &
                       cima*coupl(nGC_162)**2d0*coupl(nGC_184)*coupl(nGC_37) + &
                       9d0*cima*coupl(nGC_164)**2d0*coupl(nGC_180)*coupl(nGC_22&
                       ) + 4d0*cima*coupl(nGC_166)*coupl(nGC_180)*coupl(nGC_20 &
                       )*coupl(nGC_22) + 4d0*cima*coupl(nGC_166)*coupl(nGC_184 &
                       )*coupl(nGC_20)*coupl(nGC_37) + 24d0*cima*coupl(nGC_17)*&
                       coupl(nGC_18) + 12d0*cima*coupl(nGC_172)*coupl(nGC_46   &
                       ) + 4d0*cima*coupl(nGC_174)*coupl(nGC_180)*coupl(nGC_21 &
                       )*coupl(nGC_22) + 4d0*cima*coupl(nGC_174)*coupl(nGC_184 &
                       )*coupl(nGC_21)*coupl(nGC_37) + 8d0*cima*coupl(nGC_180  &
                       )**2d0*coupl(nGC_22)**2d0 + 9d0*cima*coupl(nGC_180)*    &
                       coupl(nGC_22)*coupl(nGC_25)**2d0 + 9d0*cima*coupl(      &
                       nGC_180)*coupl(nGC_22)*coupl(nGC_3)**2d0 + 9d0*cima*    &
                       coupl(nGC_184)*coupl(nGC_25)**2d0*coupl(nGC_37) - 32d0* &
                       cima*coupl(nGC_23)**2d0*coupl(nGC_66)*coupl(nGC_68) -   &
                       32d0*cima*coupl(nGC_23)**2d0*coupl(nGC_70)*coupl(nGC_72 &
                       ) - 32d0*cima*coupl(nGC_23)**2d0*coupl(nGC_82)*coupl(   &
                       nGC_84) + 36d0*coupl(nGC_162)**2d0*coupl(nGC_17) - 6d0* &
                       coupl(nGC_162)*coupl(nGC_180)*coupl(nGC_7) - 6d0*coupl( &
                       nGC_162)*coupl(nGC_22)*coupl(nGC_9) + 36d0*coupl(nGC_164&
                       )**2d0*coupl(nGC_17) - 6d0*coupl(nGC_164)*coupl(nGC_180 &
                       )*coupl(nGC_26) - 6d0*coupl(nGC_164)*coupl(nGC_22)*coupl&
                       (nGC_28) + 12d0*coupl(nGC_17)*coupl(nGC_180)*coupl(     &
                       nGC_22) + 6d0*coupl(nGC_17)*coupl(nGC_184)*coupl(nGC_37 &
                       ) - 6d0*coupl(nGC_172)*coupl(nGC_184)*coupl(nGC_37) -   &
                       12d0*coupl(nGC_18)*coupl(nGC_180)*coupl(nGC_22) - 6d0*  &
                       coupl(nGC_180)*coupl(nGC_25)*coupl(nGC_9) - 6d0*coupl(  &
                       nGC_180)*coupl(nGC_28)*coupl(nGC_3) - 6d0*coupl(nGC_22)*&
                       coupl(nGC_25)*coupl(nGC_7) - 6d0*coupl(nGC_22)*coupl(   &
                       nGC_26)*coupl(nGC_3) + 36d0*coupl(nGC_25)**2d0*coupl(   &
                       nGC_46))/(192d0*pi**2d0)
      coupl(nGC_1207) = -coupl(nGC_531)
      coupl(nGC_1206) = -coupl(nGC_623)
      coupl(nGC_1203) = -coupl(nGC_563)
      coupl(nGC_1202) = -coupl(nGC_503)
      coupl(nGC_1201) = -coupl(nGC_550)
      coupl(nGC_1209) = -coupl(nGC_533)
      coupl(nGC_1208) = -coupl(nGC_508)
      coupl(nGC_759) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 + 3d0&
                       *Nc*coupl(nGC_10)**2d0*coupl(nGC_186) - 9d0*Nc*coupl(   &
                       nGC_10)**2d0*coupl(nGC_190) - 60d0*cima*coupl(nGC_11)** &
                       4d0*sq2**2d0)/(768d0*pi**2d0)
      coupl(nGC_758) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 + 9d0&
                       *Nc*coupl(nGC_10)**2d0*coupl(nGC_186) - 3d0*Nc*coupl(   &
                       nGC_10)**2d0*coupl(nGC_190) - 60d0*cima*coupl(nGC_11)** &
                       4d0*sq2**2d0)/(768d0*pi**2d0)
      coupl(nGC_613) = coupl(nGC_11)**2d0*sq2**2d0*(-cMB*coupl(nGC_55) - cMC*  &
                       coupl(nGC_59) - cMD*coupl(nGC_63) - cMS*coupl(nGC_75) - &
                       cMT*coupl(nGC_79) - cMU*coupl(nGC_87))/(16d0*pi**2d0)
      coupl(nGC_614) = coupl(nGC_11)**2d0*sq2**2d0*(cMB*coupl(nGC_55) + cMC*   &
                       coupl(nGC_59) + cMD*coupl(nGC_63) + cMS*coupl(nGC_75) + &
                       cMT*coupl(nGC_79) + cMU*coupl(nGC_87))/(16d0*pi**2d0*Nc)
      coupl(nGC_615) = (-coupl(nGC_174)*coupl(nGC_23)*coupl(nGC_77) - coupl(   &
                       nGC_184)*coupl(nGC_39)*coupl(nGC_78) + 8d0*coupl(nGC_2  &
                       )**2d0*coupl(nGC_79) - coupl(nGC_35)*coupl(nGC_37)*coupl&
                       (nGC_78) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_79 &
                       ) - coupl(nGC_53)*coupl(nGC_55)*coupl(nGC_77) - coupl(  &
                       nGC_78)**2d0*coupl(nGC_79) - coupl(nGC_79)**3d0)/(32d0* &
                       pi**2d0)
      coupl(nGC_618) = (coupl(nGC_174)*coupl(nGC_23)*coupl(nGC_81) + coupl(    &
                       nGC_184)*coupl(nGC_40)*coupl(nGC_82) + coupl(nGC_36)*   &
                       coupl(nGC_37)*coupl(nGC_82) + 8d0*coupl(nGC_36)*coupl(  &
                       nGC_40)*coupl(nGC_83) + 8d0*coupl(nGC_4)**2d0*coupl(    &
                       nGC_83) - coupl(nGC_82)**2d0*coupl(nGC_83) - coupl(     &
                       nGC_83)**3d0)/(32d0*pi**2d0)
      coupl(nGC_619) = (coupl(nGC_184)*coupl(nGC_36)*coupl(nGC_84) + coupl(    &
                       nGC_21)*coupl(nGC_23)*coupl(nGC_81) + 8d0*coupl(nGC_36)*&
                       coupl(nGC_40)*coupl(nGC_83) + coupl(nGC_37)*coupl(nGC_40&
                       )*coupl(nGC_84) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_83) - &
                       coupl(nGC_83)**3d0 - coupl(nGC_83)*coupl(nGC_84)**2d0)/(&
                       32d0*pi**2d0)
      coupl(nGC_752) = (-20d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*cima*    &
                       coupl(nGC_190)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(     &
                       nGC_12)*sq2**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_186 &
                       )*sq2**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_188)*sq2**&
                       2d0 + 33d0*coupl(nGC_10)**2d0*coupl(nGC_190)*sq2**2d0)/(&
                       384d0*pi**2d0)
      coupl(nGC_755) = (-10d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*cima*coupl&
                       (nGC_190)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_186)* &
                       sq2**2d0 + 18d0*coupl(nGC_10)**2d0*coupl(nGC_190)*sq2** &
                       2d0)/(192d0*pi**2d0)
      coupl(nGC_754) = (-10d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*cima*coupl&
                       (nGC_190)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_12)*  &
                       sq2**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_188)*sq2**  &
                       2d0 + 15d0*coupl(nGC_10)**2d0*coupl(nGC_190)*sq2**2d0)/(&
                       192d0*pi**2d0)
      coupl(nGC_710) = (20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53)*&
                       coupl(nGC_54) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34 &
                       )*coupl(nGC_61)*coupl(nGC_62) + 20d0*Nc*cima*coupl(     &
                       nGC_23)*coupl(nGC_34)*coupl(nGC_73)*coupl(nGC_74) + 20d0&
                       *Nc*cima*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_57)*coupl&
                       (nGC_58) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_35)*    &
                       coupl(nGC_77)*coupl(nGC_78) + 20d0*Nc*cima*coupl(nGC_23 &
                       )*coupl(nGC_35)*coupl(nGC_85)*coupl(nGC_86) - 16d0*Nc*  &
                       cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_53)*coupl(   &
                       nGC_54) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*coupl&
                       (nGC_57)*coupl(nGC_58) - 16d0*Nc*cima*coupl(nGC_23)*    &
                       coupl(nGC_38)*coupl(nGC_61)*coupl(nGC_62) - 16d0*Nc*cima&
                       *coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_73)*coupl(nGC_74 &
                       ) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*coupl(     &
                       nGC_77)*coupl(nGC_78) - 16d0*Nc*cima*coupl(nGC_23)*coupl&
                       (nGC_38)*coupl(nGC_85)*coupl(nGC_86) - 16d0*Nc*cima*    &
                       coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_53)*coupl(nGC_54  &
                       ) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*coupl(     &
                       nGC_57)*coupl(nGC_58) - 16d0*Nc*cima*coupl(nGC_23)*coupl&
                       (nGC_39)*coupl(nGC_61)*coupl(nGC_62) - 16d0*Nc*cima*    &
                       coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_73)*coupl(nGC_74  &
                       ) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*coupl(     &
                       nGC_77)*coupl(nGC_78) - 16d0*Nc*cima*coupl(nGC_23)*coupl&
                       (nGC_39)*coupl(nGC_85)*coupl(nGC_86) + 9d0*cima*coupl(  &
                       nGC_162)*coupl(nGC_180)*coupl(nGC_25)*coupl(nGC_40) +   &
                       9d0*cima*coupl(nGC_162)*coupl(nGC_180)*coupl(nGC_3)*    &
                       coupl(nGC_4) + 9d0*cima*coupl(nGC_162)*coupl(nGC_184)*  &
                       coupl(nGC_20)*coupl(nGC_25) + 24d0*cima*coupl(nGC_168)* &
                       coupl(nGC_26) + 4d0*cima*coupl(nGC_174)**2d0*coupl(     &
                       nGC_176)*coupl(nGC_22) + 4d0*cima*coupl(nGC_174)*coupl( &
                       nGC_184)*coupl(nGC_22)**2d0 + 4d0*cima*coupl(nGC_174)*  &
                       coupl(nGC_22)**2d0*coupl(nGC_37) + 4d0*cima*coupl(      &
                       nGC_176)*coupl(nGC_180)*coupl(nGC_37)**2d0 + 4d0*cima*  &
                       coupl(nGC_176)*coupl(nGC_20)*coupl(nGC_37)*coupl(nGC_40 &
                       ) + 4d0*cima*coupl(nGC_176)*coupl(nGC_22)**3d0 + 24d0*  &
                       cima*coupl(nGC_19)*coupl(nGC_7) + 20d0*cima*coupl(nGC_23&
                       )*coupl(nGC_36)*coupl(nGC_65)*coupl(nGC_66) + 20d0*cima*&
                       coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_69)*coupl(nGC_70  &
                       ) + 20d0*cima*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_81)*&
                       coupl(nGC_82) - 16d0*cima*coupl(nGC_23)*coupl(nGC_40)*  &
                       coupl(nGC_65)*coupl(nGC_66) - 16d0*cima*coupl(nGC_23)*  &
                       coupl(nGC_40)*coupl(nGC_69)*coupl(nGC_70) - 16d0*cima*  &
                       coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_81)*coupl(nGC_82  &
                       ) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65)*&
                       coupl(nGC_66) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41)*  &
                       coupl(nGC_69)*coupl(nGC_70) - 16d0*cima*coupl(nGC_23)*  &
                       coupl(nGC_41)*coupl(nGC_81)*coupl(nGC_82) - 6d0*coupl(  &
                       nGC_162)*coupl(nGC_17)*coupl(nGC_180) - 6d0*coupl(      &
                       nGC_162)*coupl(nGC_180)*coupl(nGC_46) - 6d0*coupl(      &
                       nGC_162)*coupl(nGC_184)*coupl(nGC_8) + 36d0*coupl(      &
                       nGC_162)*coupl(nGC_25)*coupl(nGC_7) + 36d0*coupl(nGC_164&
                       )*coupl(nGC_25)*coupl(nGC_26) - 6d0*coupl(nGC_168)*coupl&
                       (nGC_180)*coupl(nGC_4) - 6d0*coupl(nGC_17)*coupl(nGC_180&
                       )*coupl(nGC_25) + 6d0*coupl(nGC_174)*coupl(nGC_22)*coupl&
                       (nGC_8) + 6d0*coupl(nGC_176)*coupl(nGC_37)*coupl(nGC_8  &
                       ) - 6d0*coupl(nGC_180)*coupl(nGC_19)*coupl(nGC_40) - 6d0&
                       *coupl(nGC_180)*coupl(nGC_25)*coupl(nGC_45) - 6d0*coupl(&
                       nGC_180)*coupl(nGC_3)*coupl(nGC_42) - 6d0*coupl(nGC_184 &
                       )*coupl(nGC_19)*coupl(nGC_20) + 6d0*coupl(nGC_22)**2d0* &
                       coupl(nGC_7) - 6d0*coupl(nGC_25)*coupl(nGC_40)*coupl(   &
                       nGC_7) - 6d0*coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_7))/(  &
                       192d0*pi**2d0)
      coupl(nGC_713) = (20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53)*&
                       coupl(nGC_55) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_34 &
                       )*coupl(nGC_61)*coupl(nGC_63) + 20d0*Nc*cima*coupl(     &
                       nGC_23)*coupl(nGC_34)*coupl(nGC_73)*coupl(nGC_75) + 20d0&
                       *Nc*cima*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_57)*coupl&
                       (nGC_59) + 20d0*Nc*cima*coupl(nGC_23)*coupl(nGC_35)*    &
                       coupl(nGC_77)*coupl(nGC_79) + 20d0*Nc*cima*coupl(nGC_23 &
                       )*coupl(nGC_35)*coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*  &
                       cima*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_53)*coupl(   &
                       nGC_55) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*coupl&
                       (nGC_57)*coupl(nGC_59) - 16d0*Nc*cima*coupl(nGC_23)*    &
                       coupl(nGC_38)*coupl(nGC_61)*coupl(nGC_63) - 16d0*Nc*cima&
                       *coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_73)*coupl(nGC_75 &
                       ) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_38)*coupl(     &
                       nGC_77)*coupl(nGC_79) - 16d0*Nc*cima*coupl(nGC_23)*coupl&
                       (nGC_38)*coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*    &
                       coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_53)*coupl(nGC_55  &
                       ) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*coupl(     &
                       nGC_57)*coupl(nGC_59) - 16d0*Nc*cima*coupl(nGC_23)*coupl&
                       (nGC_39)*coupl(nGC_61)*coupl(nGC_63) - 16d0*Nc*cima*    &
                       coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_73)*coupl(nGC_75  &
                       ) - 16d0*Nc*cima*coupl(nGC_23)*coupl(nGC_39)*coupl(     &
                       nGC_77)*coupl(nGC_79) - 16d0*Nc*cima*coupl(nGC_23)*coupl&
                       (nGC_39)*coupl(nGC_85)*coupl(nGC_87) + 9d0*cima*coupl(  &
                       nGC_162)*coupl(nGC_180)*coupl(nGC_25)*coupl(nGC_37) +   &
                       9d0*cima*coupl(nGC_162)*coupl(nGC_20)*coupl(nGC_25)*    &
                       coupl(nGC_40) + 9d0*cima*coupl(nGC_162)*coupl(nGC_20)*  &
                       coupl(nGC_3)*coupl(nGC_4) + 4d0*cima*coupl(nGC_166)*    &
                       coupl(nGC_174)**2d0*coupl(nGC_176) + 4d0*cima*coupl(    &
                       nGC_166)*coupl(nGC_174)*coupl(nGC_184)*coupl(nGC_22) +  &
                       4d0*cima*coupl(nGC_166)*coupl(nGC_174)*coupl(nGC_22)*   &
                       coupl(nGC_37) + 4d0*cima*coupl(nGC_166)*coupl(nGC_176)* &
                       coupl(nGC_22)**2d0 + 24d0*cima*coupl(nGC_168)*coupl(    &
                       nGC_27) + 4d0*cima*coupl(nGC_176)*coupl(nGC_180)*coupl( &
                       nGC_184)*coupl(nGC_40) + 4d0*cima*coupl(nGC_176)*coupl( &
                       nGC_184)**2d0*coupl(nGC_20) + 24d0*cima*coupl(nGC_19)*  &
                       coupl(nGC_8) + 20d0*cima*coupl(nGC_23)*coupl(nGC_36)*   &
                       coupl(nGC_65)*coupl(nGC_67) + 20d0*cima*coupl(nGC_23)*  &
                       coupl(nGC_36)*coupl(nGC_69)*coupl(nGC_71) + 20d0*cima*  &
                       coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_81)*coupl(nGC_83  &
                       ) - 16d0*cima*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_65)*&
                       coupl(nGC_67) - 16d0*cima*coupl(nGC_23)*coupl(nGC_40)*  &
                       coupl(nGC_69)*coupl(nGC_71) - 16d0*cima*coupl(nGC_23)*  &
                       coupl(nGC_40)*coupl(nGC_81)*coupl(nGC_83) - 16d0*cima*  &
                       coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65)*coupl(nGC_67  &
                       ) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_69)*&
                       coupl(nGC_71) - 16d0*cima*coupl(nGC_23)*coupl(nGC_41)*  &
                       coupl(nGC_81)*coupl(nGC_83) - 6d0*coupl(nGC_162)*coupl( &
                       nGC_17)*coupl(nGC_20) - 6d0*coupl(nGC_162)*coupl(nGC_20 &
                       )*coupl(nGC_46) + 36d0*coupl(nGC_162)*coupl(nGC_25)*    &
                       coupl(nGC_8) - 6d0*coupl(nGC_162)*coupl(nGC_37)*coupl(  &
                       nGC_7) + 36d0*coupl(nGC_164)*coupl(nGC_25)*coupl(nGC_27 &
                       ) + 6d0*coupl(nGC_166)*coupl(nGC_174)*coupl(nGC_8) + 6d0&
                       *coupl(nGC_166)*coupl(nGC_22)*coupl(nGC_7) - 6d0*coupl( &
                       nGC_168)*coupl(nGC_20)*coupl(nGC_4) - 6d0*coupl(nGC_17)*&
                       coupl(nGC_20)*coupl(nGC_25) + 6d0*coupl(nGC_176)*coupl( &
                       nGC_184)*coupl(nGC_7) - 6d0*coupl(nGC_180)*coupl(nGC_19 &
                       )*coupl(nGC_37) - 6d0*coupl(nGC_19)*coupl(nGC_20)*coupl(&
                       nGC_40) - 6d0*coupl(nGC_20)*coupl(nGC_25)*coupl(nGC_45  &
                       ) - 6d0*coupl(nGC_20)*coupl(nGC_3)*coupl(nGC_42) - 6d0* &
                       coupl(nGC_25)*coupl(nGC_40)*coupl(nGC_8) - 6d0*coupl(   &
                       nGC_3)*coupl(nGC_4)*coupl(nGC_8))/(192d0*pi**2d0)
      coupl(nGC_971) = -coupl(nGC_24)*dZWMinus_QED2/2d0 - coupl(nGC_777)
      coupl(nGC_1126) = coupl(nGC_83)*dZH_QED2/2d0 + coupl(nGC_83)*            &
                        dZtauMinusL_QED2/2d0 + coupl(nGC_83)*dZtauMinusR_QED2/ &
                        2d0 + coupl(nGC_857)
      coupl(nGC_749) = (20d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*cima&
                       *coupl(nGC_12)*coupl(nGC_190) + 12d0*Nc*cima*coupl(     &
                       nGC_188)*coupl(nGC_190) - 21d0*Nc*coupl(nGC_10)**2d0*   &
                       coupl(nGC_12)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*coupl&
                       (nGC_186)*sq2**2d0 + 15d0*Nc*coupl(nGC_10)**2d0*coupl(  &
                       nGC_188)*sq2**2d0 - 15d0*Nc*coupl(nGC_10)**2d0*coupl(   &
                       nGC_190)*sq2**2d0 - 12d0*cima*coupl(nGC_11)**4d0*sq2**  &
                       4d0)/(768d0*pi**2d0*Nc)
      coupl(nGC_1145) = coupl(nGC_70)*dZmuMinusL_QED2/2d0 + coupl(nGC_70)*     &
                        dZmuMinusR_QED2/2d0 + coupl(nGC_852)
      coupl(nGC_1148) = -coupl(nGC_21)*dZH_QED2/2d0 - coupl(nGC_21)*           &
                        dZWMinus_QED2/2d0 - coupl(nGC_791)
      coupl(nGC_1166) = -coupl(nGC_897) - coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_747) = sq2**2d0*(-2d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 + 3d0&
                       *Nc*coupl(nGC_10)**2d0*coupl(nGC_186) - 3d0*Nc*coupl(   &
                       nGC_10)**2d0*coupl(nGC_190) - 30d0*cima*coupl(nGC_11)** &
                       4d0*sq2**2d0)/(384d0*pi**2d0)
      coupl(nGC_1104) = coupl(nGC_11)*dZbR_QCD2 + coupl(nGC_11)*dZg_QCD2/2d0 + &
                        coupl(nGC_808)
      coupl(nGC_1007) = coupl(nGC_64)*dZdL_QED2/2d0 + coupl(nGC_64)*dZdR_QED2/ &
                        2d0 + coupl(nGC_828)
      coupl(nGC_1001) = coupl(nGC_82)*dZtauMinusL_QED2/2d0 + coupl(nGC_82)*    &
                        dZtauMinusR_QED2/2d0 + coupl(nGC_853)
      coupl(nGC_935) = coupl(nGC_19)*dZWMinus_QED2 + coupl(nGC_19)*dZZ_QED2 -  &
                       coupl(nGC_29)*dZAZ_QED2/2d0 + coupl(nGC_771)
      coupl(nGC_934) = -2d0*coupl(nGC_19)*dZWMinus_QED2 - 2d0*coupl(nGC_19)*   &
                       dZZ_QED2 + coupl(nGC_29)*dZAZ_QED2 - 2d0*coupl(nGC_771)
      coupl(nGC_1100) = -coupl(nGC_25)*dZZA_QED2/2d0 - coupl(nGC_3)*dZA_QED2/  &
                        2d0 - coupl(nGC_3)*dZWMinus_QED2 - coupl(nGC_766)
      coupl(nGC_1008) = coupl(nGC_64)*dZdL_QCD2/2d0 + coupl(nGC_64)*dZdR_QCD2/ &
                        2d0 + coupl(nGC_829)
      coupl(nGC_1102) = coupl(nGC_11)*dZbL_QCD2 + coupl(nGC_11)*dZg_QCD2/2d0 + &
                        coupl(nGC_808)
      coupl(nGC_1065) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_34)*dZZ_QED2/2d0&
                         + coupl(nGC_34)*dZbR_QED2 + coupl(nGC_813)
      coupl(nGC_997) = coupl(nGC_31)*dZH_QED2/2d0 + coupl(nGC_775)
      coupl(nGC_1004) = -coupl(nGC_24)*dZZ_QED2/2d0 - coupl(nGC_4)*dZAZ_QED2/  &
                        2d0 - coupl(nGC_777)
      coupl(nGC_1151) = 2d0*coupl(nGC_18)*dZWMinus_QED2 + coupl(nGC_769)
      coupl(nGC_1150) = -4d0*coupl(nGC_18)*dZWMinus_QED2 - 2d0*coupl(nGC_769)
      coupl(nGC_1196) = coupl(nGC_896) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_945) = coupl(nGC_19)*dZZA_QED2/2d0 - coupl(nGC_29)*dZA_QED2/4d0&
                        - coupl(nGC_29)*dZWMinus_QED2/2d0 - coupl(nGC_29)*     &
                       dZZ_QED2/4d0 + coupl(nGC_5)*dZAZ_QED2/2d0 - coupl(      &
                       nGC_770)/2d0
      coupl(nGC_946) = -coupl(nGC_19)*dZZA_QED2 + coupl(nGC_29)*dZA_QED2/2d0 + &
                       coupl(nGC_29)*dZWMinus_QED2 + coupl(nGC_29)*dZZ_QED2/2d0&
                        - coupl(nGC_5)*dZAZ_QED2 + coupl(nGC_770)
      coupl(nGC_940) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_34)*dZZ_QED2/2d0 &
                        + coupl(nGC_34)*dZdR_QED2 + coupl(nGC_813)
      coupl(nGC_1080) = -coupl(nGC_4)*dZA_QED2/2d0 - coupl(nGC_40)*dZZA_QED2/  &
                        2d0 - coupl(nGC_772)
      coupl(nGC_1138) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_40)*dZZA_QED2/2d0&
                         + coupl(nGC_772)
      coupl(nGC_1135) = coupl(nGC_74)*dZsL_QCD2/2d0 + coupl(nGC_74)*dZsR_QCD2/ &
                        2d0 + coupl(nGC_833)
      coupl(nGC_1134) = coupl(nGC_74)*dZsL_QED2/2d0 + coupl(nGC_74)*dZsR_QED2/ &
                        2d0 + coupl(nGC_832)
      coupl(nGC_1137) = coupl(nGC_76)*dZsL_QCD2/2d0 + coupl(nGC_76)*dZsR_QCD2/ &
                        2d0 + coupl(nGC_835)
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
