!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-12 12:33             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl4()
      coupl(nGC_1136) = coupl(nGC_76)*dZsL_QED2/2d0 + coupl(nGC_76)*dZsR_QED2/ &
                        2d0 + coupl(nGC_834)
      coupl(nGC_1197) = -coupl(nGC_896) - coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_1039) = -coupl(nGC_24)*dZZA_QED2/2d0 - coupl(nGC_4)*dZA_QED2/  &
                        2d0 - coupl(nGC_772)
      coupl(nGC_984) = coupl(nGC_42)*dZA_QED2/2d0 + coupl(nGC_42)*dZZ_QED2/2d0 &
                        + coupl(nGC_45)*dZZA_QED2/2d0 + coupl(nGC_6)*dZAZ_QED2/&
                       2d0 + coupl(nGC_796)
      coupl(nGC_1212) = -coupl(nGC_532)
      coupl(nGC_986) = coupl(nGC_29)*dZZA_QED2 - 2d0*coupl(nGC_5)*dZA_QED2 -   &
                       2d0*coupl(nGC_5)*dZWMinus_QED2 - 2d0*coupl(nGC_767)
      coupl(nGC_987) = -coupl(nGC_29)*dZZA_QED2/2d0 + coupl(nGC_5)*dZA_QED2 +  &
                       coupl(nGC_5)*dZWMinus_QED2 + coupl(nGC_767)
      coupl(nGC_1031) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*              &
                        dZtauMinusL_QED2 + coupl(nGC_40)*dZZA_QED2/2d0 + coupl(&
                        nGC_772)
      coupl(nGC_1032) = coupl(nGC_36)*dZZA_QED2/2d0 + coupl(nGC_4)*dZA_QED2/2d0&
                         + coupl(nGC_4)*dZtauMinusR_QED2 + coupl(nGC_772)
    end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
