!******************************************************************************!
!                                                                              !
!    ctparameter78.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter78.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-12 12:33             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter78
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter78()
  if (dZbL_QCD2_scheme .eq. 1) then
    dZbL_QCD2 = (coupl(nGC_11)**2d0*(-Nc**2d0 + 1d0)/(2d0*Nc) + coupl(nGC_11)**&
                2d0*(Ten250*(Nc**2d0 - 1d0) + Ten254*(Nc**2d0 - 1d0) + 2d0*    &
                Ten259*cMB_reg**2d0*(-Nc**2d0 + 1d0) + 2d0*Ten263*cMB_reg**2d0 &
                *(Nc**2d0 - 1d0))/Nc)/(16d0*pi**2d0)
    dZbL_QCD2 = cone*real(dZbL_QCD2,kind=dp)
  end if 
end subroutine set_ctparameter78
end module ctparameter78
